/****************************************************************
*                                                               *
*       TITLE       :                                           *
*       FILE NAME   :main.c                                     *
*                                                               *
*       DATE        :1993. 7.26                                 *
*                                                               *
*****************************************************************/


#include       <TK2/TK.h>
#include       <TK2/TKusr.h>
#include       "gamen.h"

Ktroot	*root;
Ktcore	*core;
int		flag;

/****************************************************************
*       FUNCTION NAME   :MAIN PROCEDURE                         *
*****************************************************************/
void    main(agrc,agrv)
int     agrc;
char    *agrv[];
{
    int     sts;


    root = (Ktroot *) TKinit();
    if (root != NULL )
    {
        core = (Ktcore *)TKopen( root, NULL, &panel );
        if (core != NULL)
        {
			flag = ON;
			button1.flg = ON;
            TKentry( core,KARRAY,panel_tree);

            for( sts =0;sts != 1; )
            {
                sts = TKevent( root );
            }
        }
        TKexit( root );
    }
}


/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/
int     pr_evon_button (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
    }else
	{
		flag = ON;
		button2.flg = OFF;
		TKdisplay( core, KSINGL, &button2 );
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_evoff_button (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
    }else
	{
		flag = OFF;
		button1.flg = OFF;
		TKdisplay( core, KSINGL, &button1 );
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_ev_button_off (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonPress)
    {
		butn->flg = ON;
		TKdisplay( core, KSINGL, butn );
    }

	return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_long_button (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
		if( flag == OFF )
		{
			TKevmask( core, ON );
		}
		sleep( 30 );

		if( flag == OFF )
		{
			TKevmask( core, OFF );
		}
		butn->flg = OFF;
		TKdisplay( core, KSINGL, butn );
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_event_button (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
		printf( "ButtonRelease\n" );
    }else 
	{
		printf( "ButtonPress\n" );
    }
    return(0);
}
