
#include	<TK2/TK.h>
#include	<TK2/TKusr.h>
#include	<GR.h>
#ifdef PS
#include	<PRkid/TKPrinPS.h>
#endif
#include	"src000.h"
#include	"gamen00.h"
#include	"gamen10.h"
#include	"gamen11.h"

int		pr_graph_exit();


/************************************************************************
*		Module Name	: 													*
*************************************************************************/
int		pr_fukugou_panel_open( item )
	int		item;
{
	int		sts = -1;
	int		i;

	switch( item )
	{
		case 1:
			strcpy( (char *)tb_fukugou_title.data, "  " );
			strcpy( (char *)tb_fukugou_text_rate1.text, "9,000,000" );
			strcpy( (char *)tb_fukugou_text_rate2.text, "6,000,000" );
			strcpy( (char *)tb_fukugou_text_rate3.text, "3,000,000" );
			for( i=0; tb_fukugou_bars1[i]!=NULL; i++)
				tb_fukugou_bars1[i]->max = 9000000;
			for( i=0; tb_fukugou_bars2[i]!=NULL; i++)
				tb_fukugou_bars2[i]->max = 9000000;
			break;
		case 2:
			strcpy( (char *)tb_fukugou_title.data, "»" );
			strcpy( (char *)tb_fukugou_text_rate1.text, "3,000,000" );
			strcpy( (char *)tb_fukugou_text_rate2.text, "2,000,000" );
			strcpy( (char *)tb_fukugou_text_rate3.text, "1,000,000" );
			for( i=0; tb_fukugou_bars1[i]!=NULL; i++)
				tb_fukugou_bars1[i]->max = 3000000;
			for( i=0; tb_fukugou_bars2[i]!=NULL; i++)
				tb_fukugou_bars2[i]->max = 3000000;
			break;
		case 3:
			strcpy( (char *)tb_fukugou_title.data, "ؿ" );
			strcpy( (char *)tb_fukugou_text_rate1.text, "3,000,000" );
			strcpy( (char *)tb_fukugou_text_rate2.text, "2,000,000" );
			strcpy( (char *)tb_fukugou_text_rate3.text, "1,000,000" );
			for( i=0; tb_fukugou_bars1[i]!=NULL; i++)
				tb_fukugou_bars1[i]->max = 3000000;
			for( i=0; tb_fukugou_bars2[i]!=NULL; i++)
				tb_fukugou_bars2[i]->max = 3000000;
			break;
		case 4:
			strcpy( (char *)tb_fukugou_title.data, "Ҷ" );
			strcpy( (char *)tb_fukugou_text_rate1.text, "3,000,000" );
			strcpy( (char *)tb_fukugou_text_rate2.text, "2,000,000" );
			strcpy( (char *)tb_fukugou_text_rate3.text, "1,000,000" );
			for( i=0; tb_fukugou_bars1[i]!=NULL; i++)
				tb_fukugou_bars1[i]->max = 3000000;
			for( i=0; tb_fukugou_bars2[i]!=NULL; i++)
				tb_fukugou_bars2[i]->max = 3000000;
			break;
	}

	if( core_graph == NULL )
	{
		pr_panel_right_down( &panel10 );
		core_graph = (Ktcore *)TKopen( root, core00->kit, &panel10 );
		if( core_graph != NULL )
		{
			Gcore = (Grcore *)TKgropen( core_graph, KARRAY, panel10_tree );
			if( Gcore != NULL )
			{
				TKgrentry( Gcore, KARRAY, tb_fukugou_bars1, HRBDSPON );
				TKgrentry( Gcore, KARRAY, tb_fukugou_bars2, HRBDSPON );
				TKgrentry( Gcore, KSINGL, &oresen, HRBDSPON );

				TKnotify( core_graph, KEXIT, pr_graph_exit );
				sts = 0;
			}else
			{
				TKclose( core_graph );
				core_graph = NULL;
			}
		}
	}

	return( sts );
}
/************************************************************************
*		Module Name	: 													*
*************************************************************************/
int		pr_graph_exit( core )
	Ktcore	*core;
{
	int		sts = 0;

	TKgrclose( Gcore );
	core_graph = NULL;

	tb_graph_disp_button.flg = OFF;
	TKdisplay( core00, KSINGL, &tb_graph_disp_button );
	tb_graph_redrow_button.flg = -1;
	TKdisplay( core00, KSINGL, &tb_graph_redrow_button );
	tb_graph_print_button.flg = -1;
	TKdisplay( core00, KSINGL, &tb_graph_print_button );

	return( sts );
}
/************************************************************************
*		Module Name	: 													*
*************************************************************************/
void	pr_fukugou_printPS( )
{
	int		i;

#ifdef PS
	TKpinit2( &panel10, KSPANELON, KSPNLSIZE );
	TKprint( KARRAY, panel10_tree );
	for(i=0; tb_fukugou_bars1[i]!=NULL; i++)
		TKprint( KARRAY, tb_fukugou_bars1[i]->hed.ent );
	for(i=0; tb_fukugou_bars2[i]!=NULL; i++)
		TKprint( KARRAY, tb_fukugou_bars2[i]->hed.ent );
	TKprint( KARRAY, oresen.hed.ent );
#endif
}
/************************************************************************
*		Module Name	: 													*
*************************************************************************/
void	pr_fukugou_redrow( item )
	int		item;
{
	int		month;
	int		uriage;
	int		siharai;
	float	rieki;


	for( month=0; month<12; month++ )
	{
		switch( item )
		{
			case 1:
				uriage = hanbai[month].man.total.uriage
							+ hanbai[month].wman.total.uriage
							+ hanbai[month].child.total.uriage;
				siharai = hanbai[month].man.total.siharai
							+ hanbai[month].wman.total.siharai
							+ hanbai[month].child.total.siharai;
				rieki = (float)(uriage - siharai) * 100.0  / (float)(uriage);
				break;
			case 2:
				uriage = hanbai[month].man.total.uriage;
				siharai = hanbai[month].man.total.siharai;
				rieki = hanbai[month].man.total.rieki;
				break;
			case 3:
				uriage = hanbai[month].wman.total.uriage;
				siharai = hanbai[month].wman.total.siharai;
				rieki = hanbai[month].wman.total.rieki;
				break;
			case 4:
				uriage = hanbai[month].child.total.uriage;
				siharai = hanbai[month].child.total.siharai;
				rieki = hanbai[month].child.total.rieki;
				break;
		}
		tb_fukugou_bars1[month]->data = siharai;
		tb_fukugou_bars2[month]->data = uriage;
		oresen.pt[month].data = rieki;
	}
	TKgrdisplay( Gcore, KARRAY, tb_fukugou_bars1, HRBDSPON );
	TKgrdisplay( Gcore, KARRAY, tb_fukugou_bars2, HRBDSPOFF );
	TKgrdisplay( Gcore, KSINGL, &oresen, HRBDSPOFF );
}
