/********************************************************************
*                                                                   *
*       MODULE  NAME    :   	              				*
*                                                                   *
*       FILE NAME		:	tokei.c                                 *
*                                                                   *
*                                                                   *
*       CREATE			:	1990.10.14		F.D.S                   *
*       UPDATE          :	1991.10.01		F.D.S                   *
*                                                                   *
*********************************************************************/

#include	<signal.h>
#include	<sys/time.h>
#include    <TK2/TK.h>				/* 饤֥꡼󥯥롼	*/
#include    <TK2/TKusr.h>
#include	"tokei.h"				/* ءݣ塡󥯥롼	*/

	void	sigtokei();				/* ʥ					*/
	int		pr_msg_recv();			/* å			*/

/********************************************************************
*                             ѿ                              *
*********************************************************************/

	Ktroot	*root;
	Ktcore	*core;					/* ġ륭åȴ			*/
	Ktcore	sig_core;
	Ktbutn	*badr;					/* 󲡤Ƥܥ		*/
	long	h_time;					/* Ѵ						*/
	char	tb_form[34];

/*$*/
/********************************************************************
*   FUNCTION NAME   : main                                          *
*********************************************************************/

void	main( argc, argv )

	int		argc;
	char	*argv[];
{
	int		sts = 0;

	signal( SIGALRM, sigtokei );		/* ʥϿ			*/

	root = (Ktroot *)TKinit();
	if( root != NULL )
	{									/* ɥץ		*/
		core = (Ktcore *)TKopen( root, NULL, &kinf );
		if( core != NULL )				/* ץå			*/
		{
			TKnotify( core, KMESG, pr_msg_recv );

			h_time = 0;					/* ॻå			*/
			badr = &tokyo;				/* ܥ󥢥ɥ쥹å	*/
			tokyo.flg = ON;
			strcpy( tb_form, tb_time_disp.text );
			memset( tb_time_disp.text, 0, strlen(tb_time_disp.text) );
										/* Ͽ					*/
			TKentry( core, KARRAY, &kinf_tree[0] );

			sig_core.dis = XOpenDisplay( NULL );
			alarm(1);

			for( sts=0; sts != 1; )
				sts = TKevent( root );	/* ٥ȯԤ		*/

			alarm(0);
			XCloseDisplay( sig_core.dis );
		}
		TKexit( root );
	}
}
/********************************************************************
*   FUNCTION NAME   :  ܥ 		                            *
*********************************************************************/

int		pr_time_bon( core, butn, type )

	Ktcore	*core;
	Ktbutn	*butn;
	int		type;
{

	int stat;

	if (type == ButtonPress)
	{
		if( butn->flg == ON )
		{
			badr->flg = OFF;
			TKdisplay( core, KSINGL, badr );	/* ܥ	*/
			badr = butn;						/* BUTN ADR SET		*/
			h_time = 3600 * butn->bid;			/* 			*/
		}else
		{
			butn->flg = ON;
			TKdisplay( core, KSINGL, butn );
		}
	}
	return( 0 );
}
/*$*/
/********************************************************************
*   FUNCTION NAME   : 顼ॷʥ							*
*********************************************************************/

void	sigtokei()
{								/* ץ˥å		*/
	TKsend( &sig_core, core->kit, 0, NULL, NULL );
}

/********************************************************************
*   FUNCTION NAME   :   ʥ                            *
*********************************************************************/

int		pr_msg_recv( core, id, wid, data )

	Ktcore	*core;
	int		id;
	Window	wid;
	char	*data;
{
	int		sts = 0;
	struct	timeval		tp;
	struct	timezone	tzp;
	struct	tm			*tmptm;
	char	*dat;
	int		year;
	char	week[4];
	char	month[4];
	int		day;
	int		time;
	int		minit;
	int		sec;

	switch( id )
	{
		case 0:
			sts = gettimeofday( &tp, &tzp );
			tp.tv_sec = ( tp.tv_sec + h_time );
			dat = ctime( &tp.tv_sec );

			sscanf( dat, "%s %s %d %d:%d:%d %d",week,month,&day,&time,&minit,&sec,&year );
			sprintf( tb_time_disp.text, tb_form, month,day,time,minit,sec );
			TKdisplay( core, KSINGL, &tb_time_disp );

			signal( SIGALRM, sigtokei );	/* ʥϿ			*/
			alarm( 1 );
			break;
	}
	return( sts );
}
