/****************************************
 *
 *	ɽٱ饤֥ꡡǥ 
 *
 ****************************************/
#include       <TK2/TK.h>
#include       <TK2/TKusr.h>
#ifdef PS
#include       <PRkid/TKPrinPS.h>
#endif
#include       <signal.h>
#include       "GR.h"
#include       "graph.h"

#include       "base_form.h"
#include       "arc_form.h"
#include       "tate_form.h"
#include       "yoko_form.h"
#include       "line1_form.h"
#include       "line3_form.h"
#include       "chart_form.h"
#include       "area_form.h"
#include       "lader_form.h"
#include       "demo1_form.h"
#include       "demo2_form.h"
#include       "demo3_form.h"
#include       "indi_form.h"
#include       "tlin2_form.h"
#include       "tlin3_form.h"

#include       "data.h"

Ktroot	*root;

Ktcore	*graph_core;
Ktcore	*sub_core;

Grcore  *grcore;

int		fl_trace;

int		pr_exit();
int		pr_msg_recv();
void	pr_signal();
/*$*/
/****************************************
 *
 *	ᥤ 
 *
 ****************************************/
void    main(argc,argv)
int     argc;
char    *argv[];
{
    int     sts;

#ifdef	HPUX
	mallopt(M_BLOCK, 0);
#endif
	fl_trace = 0;

#ifdef LPR
	putenv( "PRkidlp=lpr -P" );
#endif
#ifdef LP
	putenv( "PRkidlp=lp -d" );
#endif

	signal( SIGALRM, pr_signal );

	pr_init();

    root = (Ktroot *) TKinit();
    if ( root != NULL ) {

		graph_kinf.wx = (root->rw - graph_kinf.ww - (graph_kinf.bw * 2)) / 2;
		graph_kinf.wy = (root->rh - graph_kinf.wh - (graph_kinf.bw * 2)) / 2;

        graph_core = (Ktcore *)TKopen( root, NULL, &graph_kinf );
        if ( graph_core != NULL ) {
			TKnotify( graph_core, KEXIT, pr_exit );
			TKnotify( graph_core, KMESG, pr_msg_recv );

            TKentry( graph_core, KARRAY, all_graph_tree );

			base_form_kinf.wx = graph_Rect3.x + graph_Rect3.wh;
			base_form_kinf.wy = graph_Rect3.y + graph_Rect3.wh;
        	sub_core = (Ktcore *)TKopen( root, graph_core->kit, &base_form_kinf );

            for( sts=0; sts!=1; ) {
                sts = TKevent( root );
            }
			alarm(0);
        }
        TKexit( root );
    }
}

int pr_exit( core )
Ktcore  *core;
{
	if (grcore != NULL) {
		TKgrclose( grcore );
		TKclose( sub_core );
		grcore = NULL;
	}
	return(0);
}

void pr_signal()
{
	TKsend( NULL, graph_core->kit, 0, NULL, NULL );
	signal( SIGALRM, pr_signal );
}

static	pr_init()
{
	pr_table_set();
	pr_data_set();
}
/*$*/
/****************************************
 *
 *	ɽ 
 *
 ****************************************/
int     pr_graph_open (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int i;

    if (event == ButtonRelease) {
		for (i=0; graph_btn_tree[i]!=NULL; i++) {
			if ((graph_btn_tree[i]->flg != 0) && (butn != graph_btn_tree[i])) {
				graph_btn_tree[i]->flg = 0;
				TKdisplay( graph_core, KARRAY, graph_btn_tree );
				TKgrclose( grcore );
				grcore = NULL;

				pr_back_delete( graph_btn_tree[i]->bid );
			}
		}
		graph_button1.bid = butn->bid;
		graph_button2.bid = butn->bid;
		graph_button3.bid = butn->bid;

		switch( butn->bid ) {
			case 0:			/* ߥգ			*/
            	TKentry( sub_core, KARRAY, arc_form_kinf_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, NULL );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KSINGL, &arc.hed, HRBDSPOFF );
				}
				break;

			case 1:			/* 			*/
            	TKentry( sub_core, KARRAY, tate_form1_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, tate_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, tate_bar_tree, HRBDSPOFF );
				}
				break;

			case 2:			/* 			*/
            	TKentry( sub_core, KARRAY, yoko_form1_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, yoko_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, yoko_bar_tree, HRBDSPOFF );
				}
				break;

			case 3:			/* Ѥ߾夲	*/
            	TKentry( sub_core, KARRAY, tate_form1_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, tate_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, tate_tumi_tree, HRBDSPOFF );
				}
				break;

			case 4:			/* Ѥ߾夲	*/
            	TKentry( sub_core, KARRAY, yoko_form1_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, yoko_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, yoko_tumi_tree, HRBDSPOFF );
				}
				break;

			case 5:			/* ı쥰			*/
            	TKentry( sub_core, KARRAY, tate_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, tate_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, tate1_encyu_tree, HRBDSPOFF );
				}
				break;

			case 6:			/* 쥰			*/
            	TKentry( sub_core, KARRAY, yoko_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, yoko_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, yoko1_encyu_tree, HRBDSPOFF );
				}
				break;

			case 7:			/* Ѥ߾夲쥰	*/
            	TKentry( sub_core, KARRAY, tate_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, tate_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, tate2_encyu_tree, HRBDSPOFF );
				}
				break;

			case 8:			/* Ѥ߾夲쥰	*/
            	TKentry( sub_core, KARRAY, yoko_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, yoko_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, yoko2_encyu_tree, HRBDSPOFF );
				}
				break;

			case 9:			/* ޤգ		*/
				graph_max_dat = line1_1.max;
				graph_min_dat = line1_1.min;

				line1_max_dat = line1_1.max;
				line1_min_dat = line1_1.min;

            	TKentry( sub_core, KARRAY, line1_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );
            	TKentry( graph_core, KARRAY, graph_scale1_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, line1_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, line1_tree, HRBDSPOFF );
				}
				break;

			case 10:		/* ޤգ		*/
				graph_max_dat = line2_1.max;
				graph_min_dat = line2_1.min;

				line1_max_dat = line2_1.max;
				line1_min_dat = line2_1.min;

            	TKentry( sub_core, KARRAY, line1_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );
            	TKentry( graph_core, KARRAY, graph_scale1_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, line1_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, line2_tree, HRBDSPOFF );
				}
				break;

			case 11:		/* ޤգ		*/
				graph_max_dat = line3_1.max;
				graph_min_dat = line3_1.min;
				graph_up_dat  = line3_1.limitup;
				graph_low_dat = line3_1.limitlow;

				line3_max_dat = line3_1.max;
				line3_min_dat = line3_1.min;
				line3_up_dat  = line3_1.limitup;
				line3_low_dat = line3_1.limitlow;

            	TKentry( sub_core, KARRAY, line3_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );
            	TKentry( graph_core, KARRAY, graph_scale3_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, line3_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, line3_tree, HRBDSPOFF );
				}
				break;

			case 12:		/* ߥ󥰥㡼ȣ	*/
            	TKentry( sub_core, KARRAY, chart_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, chart_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, chart_tree, HRBDSPOFF );
				}
				break;

			case 13:		/* Ѥ߾夲ꥢ	*/
            	TKentry( sub_core, KARRAY, area_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, area_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KSINGL, &area.hed, HRBDSPOFF );
				}
				break;

			case 14:		/* 졼㡼		*/
            	TKentry( sub_core, KARRAY, lader_form_kinf_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, NULL );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, lader_tree, HRBDSPOFF );
				}
				break;

			case 15:		/* ǥ⣱				*/
            	TKentry( sub_core, KARRAY, demo1_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, demo1_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, demo1_tree, HRBDSPOFF );
				}
				break;

			case 16:		/* ǥ⣲				*/
            	TKentry( sub_core, KARRAY, demo2_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, demo2_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, demo2_tree, HRBDSPOFF );
				}
				break;

			case 17:		/* ǥ⣳				*/
            	TKentry( sub_core, KARRAY, demo3_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, demo3_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, demo3_tree, HRBDSPOFF );
				}
				break;

			case 18:		/* 󥸥		*/
				indicator_max1_dat = indicator1.max;
				indicator_min1_dat = indicator1.min;
				indicator_max2_dat = indicator2.max;
				indicator_min2_dat = indicator2.min;
				indicator_max3_dat = indicator3.max;
				indicator_min3_dat = indicator3.min;
				indicator_max4_dat = indicator4.max;
				indicator_min4_dat = indicator4.min;

				indicator_max1_data_dat = indicator1.max;
				indicator_min1_data_dat = indicator1.min;
				indicator_max2_data_dat = indicator2.max;
				indicator_min2_data_dat = indicator2.min;
				indicator_max3_data_dat = indicator3.max;
				indicator_min3_data_dat = indicator3.min;
				indicator_max4_data_dat = indicator4.max;
				indicator_min4_data_dat = indicator4.min;

				indicator_type1_dat = indicator1.type;
				indicator_type2_dat = indicator2.type;
				indicator_type3_dat = indicator3.type;
				indicator_type4_dat = indicator4.type;

            	TKentry( sub_core, KARRAY, indicator_form_kinf_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, indicator_form1_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, indicator_tree, HRBDSPOFF );
				}
				break;

			case 19:		/* ޤգ		*/
				graph_max_dat = tline2_1.max;
				graph_min_dat = tline2_1.min;

				tline2_max_dat = tline2_1.max;
				tline2_min_dat = tline2_1.min;

            	TKentry( sub_core, KARRAY, tline2_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );
            	TKentry( graph_core, KARRAY, graph_scale1_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, tline2_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, tline2_tree, HRBDSPOFF );
				}
				break;

			case 20:		/* ޤգ		*/
				graph_max_dat = tline3_1.max;
				graph_min_dat = tline3_1.min;
				graph_up_dat  = tline3_1.limitup;
				graph_low_dat = tline3_1.limitlow;

				tline3_max_dat = tline3_1.max;
				tline3_min_dat = tline3_1.min;
				tline3_up_dat  = tline3_1.limitup;
				tline3_low_dat = tline3_1.limitlow;

            	TKentry( sub_core, KARRAY, tline3_form1_tree );
            	TKentry( graph_core, KARRAY, graph_print_tree );
            	TKentry( graph_core, KARRAY, graph_trace_tree );
            	TKentry( graph_core, KARRAY, graph_scale3_tree );

				grcore = (Grcore *)TKgropen( sub_core, KARRAY, tline3_form2_tree );
				if ( grcore != NULL ) {
					TKgrentry( grcore, KARRAY, tline3_tree, HRBDSPOFF );
				}
				break;

			default:
				graph_button1.bid = 0xffff;
				break;
		}
    }
    return(0);
}
/*$*/
/****************************************
 *
 *	սλ 
 *
 ****************************************/
int     pr_graph_close (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease) {
		TKgrclose( grcore );
		grcore = NULL;

		pr_back_delete( butn->bid );
    }
    return(0);
}
/*$*/
static pr_back_delete(id)
int	id;
{
	if (graph_button2.flg != 0) {
		graph_button2.flg = 0;
		alarm(0);
	}
	switch( id ) {
		case 0:				/* ߥգ			*/
   			TKdelete( sub_core, KARRAY, arc_form_kinf_tree );
			break;

		case 1:				/* 			*/
   			TKdelete( sub_core, KARRAY, tate_form1_tree );
			break;

		case 2:				/* 			*/
		case 4:				/* Ѥ߾夲	*/
   			TKdelete( sub_core, KARRAY, yoko_form1_tree );
			break;

		case 3:				/* Ѥ߾夲	*/
   			TKdelete( sub_core, KARRAY, tate_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 5:				/* ı쥰			*/
   			TKdelete( sub_core, KARRAY, tate_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
			break;

		case 6:				/* 쥰			*/
		case 8:				/* Ѥ߾夲쥰	*/
   			TKdelete( sub_core, KARRAY, yoko_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
			break;

		case 7:				/* Ѥ߾夲쥰	*/
   			TKdelete( sub_core, KARRAY, tate_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 9:				/* ޤգ		*/
		case 10:			/* ޤգ		*/
   			TKdelete( sub_core, KARRAY, line1_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
   			TKdelete( graph_core, KARRAY, graph_scale1_tree );
			break;

		case 11:			/* ޤգ		*/
   			TKdelete( sub_core, KARRAY, line3_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
   			TKdelete( graph_core, KARRAY, graph_scale3_tree );
			break;

		case 12:			/* ߥ󥰥㡼ȣ	*/
   			TKdelete( sub_core, KARRAY, chart_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 13:			/* Ѥ߾夲ꥢ	*/
   			TKdelete( sub_core, KARRAY, area_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
			break;

		case 14:			/* 졼㡼		*/
   			TKdelete( sub_core, KARRAY, lader_form_kinf_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
			break;

		case 15:			/* ǥ⣱				*/
   			TKdelete( sub_core, KARRAY, demo1_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 16:			/* ǥ⣲				*/
   			TKdelete( sub_core, KARRAY, demo2_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 17:			/* ǥ⣳				*/
   			TKdelete( sub_core, KARRAY, demo3_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 18:			/* 󥸥		*/
   			TKdelete( sub_core, KARRAY, indicator_form_kinf_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
			break;

		case 19:			/* ޤգ		*/
   			TKdelete( sub_core, KARRAY, tline2_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
   			TKdelete( graph_core, KARRAY, graph_scale1_tree );
			break;

		case 20:			/* ޤգ		*/
   			TKdelete( sub_core, KARRAY, tline3_form1_tree );
   			TKdelete( graph_core, KARRAY, graph_print_tree );
   			TKdelete( graph_core, KARRAY, graph_trace_tree );
   			TKdelete( graph_core, KARRAY, graph_scale3_tree );
			break;

		default:
			break;
	}
}
/*$*/
/****************************************
 *
 *	հ 
 *
 ****************************************/
int     pr_print (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
#ifdef PS
	Grobj	*obj_d;
	GrobjQ	*objq;
	CQcnt	cqcnt;
	int     sta,i,j,count;
	char	out_file[10];

    if ((event == ButtonRelease) && (butn->bid >= 0)) {
		sprintf(out_file, "graph%d.ps", butn->bid);

		sta = TKpinit( KSA4, KSHYOKO, 65.0, 65.0, 300, 200, out_file );
		sta = TKpsetcolorspace( KSRGB );
		sta = TKpinit2( &graph_kinf, KSPANELON, KSPNLSIZE );
		sta = TKprint( KARRAY, all_graph_tree );
   		sta = TKprint( KARRAY, graph_print_tree );

		switch( butn->bid ) {
			case 7:			/* Ѥ߾夲쥰	*/
			case 12:		/* ߥ󥰥㡼ȣ	*/
			case 15:		/* ǥ⣱				*/
			case 16:		/* ǥ⣲				*/
			case 17:		/* ǥ⣳				*/
			case 18:		/* 󥸥		*/
   				sta = TKprint( KARRAY, graph_trace_tree );
				break;

			case 9:			/* ޤգ		*/
			case 10:		/* ޤգ		*/
			case 19:		/* ޤգ		*/
   				sta = TKprint( KARRAY, graph_trace_tree );
   				sta = TKprint( KARRAY, graph_scale1_tree );
				break;

			case 11:		/* ޤգ		*/
			case 20:		/* ޤգ		*/
   				sta = TKprint( KARRAY, graph_trace_tree );
   				sta = TKprint( KARRAY, graph_scale3_tree );
				break;

			default:
				break;
		}
		sta = TKpchgmargin( base_form_kinf.wx, base_form_kinf.wy, &base_form_kinf, KSPANELOFF, KSPNLSIZE );

		switch( butn->bid ) {
			case 5:			/* ı쥰			*/
   				sta = TKprint( KARRAY, tate_form1_tree );
				break;

			case 6:			/* 쥰			*/
			case 8:			/* Ѥ߾夲쥰	*/
   				sta = TKprint( KARRAY, yoko_form1_tree );
				break;

			case 7:			/* Ѥ߾夲쥰	*/
   				sta = TKprint( KARRAY, tate_form1_tree );
				break;

			case 9:			/* ޤգ		*/
			case 10:		/* ޤգ		*/
   				sta = TKprint( KARRAY, line1_form1_tree );
				break;

			case 11:		/* ޤգ		*/
   				sta = TKprint( KARRAY, line3_form1_tree );
				break;
	
			case 12:		/* ߥ󥰥㡼ȣ	*/
   				sta = TKprint( KARRAY, chart_form1_tree );
				break;

			case 13:		/* Ѥ߾夲ꥢ	*/
   				sta = TKprint( KARRAY, area_form1_tree );
				break;

			case 14:		/* 졼㡼		*/
   				sta = TKprint( KARRAY, lader_form_kinf_tree );
				break;

			case 15:		/* ǥ⣱				*/
   				sta = TKprint( KARRAY, demo1_form1_tree );
				break;

			case 16:		/* ǥ⣲				*/
   				sta = TKprint( KARRAY, demo2_form1_tree );
				break;

			case 17:		/* ǥ⣳				*/
   				sta = TKprint( KARRAY, demo3_form1_tree );
				break;

			case 18:		/* 󥸥		*/
   				sta = TKprint( KARRAY, indicator_form_kinf_tree );
				break;

			case 19:		/* ޤգ		*/
   				sta = TKprint( KARRAY, tline2_form1_tree );
				break;

			case 20:		/* ޤգ		*/
   				sta = TKprint( KARRAY, tline3_form1_tree );
				break;

			default:
				break;
		}
   		sta = TKprint( KARRAY, grcore->obj );

		objq    = (GrobjQ *)grcore->elm.top;
		cqcnt   = grcore->elm;

		for ( j=0; j<cqcnt.count; j++ ) { 
			obj_d	= objq->obj;
			sta = TKprint( KARRAY, obj_d->ent );
			objq	= (GrobjQ *)objq->hed.fore;
		}
		sta = TKpout( "PostScript" , KSFNODEL, 1 );
    }
#endif
    return(0);
}
/*$*/
/****************************************
 *
 *	ȥ졼 
 *
 ****************************************/
int     pr_trace_on (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease) {
		fl_trace = butn->bid;
		alarm(1);
    }
    return(0);
}
/*$*/
/****************************************
 *
 *	ȥ졼λ 
 *
 ****************************************/
int     pr_trace_off (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease) {
		alarm(0);
    }
    return(0);
}
/*$*/
/****************************************
 *
 *	ѹ 
 *
 ****************************************/
int     pr_change_scale (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int		max, min, data;
	float	data1;

    if (event == ButtonRelease) {
		switch(graph_button3.bid) {
			case 9:			/* ޤգ		*/
				line1_1.max = graph_max_dat;
				line1_2.max = graph_max_dat;
				line1_3.max = graph_max_dat;
				line1_1.min = graph_min_dat;
				line1_2.min = graph_min_dat;
				line1_3.min = graph_min_dat;

				line1_max_dat = graph_max_dat;
				line1_min_dat = graph_min_dat;

				TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
				TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
				break;

			case 10:		/* ޤգ		*/
				line2_1.max = graph_max_dat;
				line2_2.max = graph_max_dat;
				line2_3.max = graph_max_dat;
				line2_1.min = graph_min_dat;
				line2_2.min = graph_min_dat;
				line2_3.min = graph_min_dat;

				line1_max_dat = graph_max_dat;
				line1_min_dat = graph_min_dat;
				TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
				TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
				break;

			case 11:		/* ޤգ		*/
            	TKerase( sub_core, KARRAY, line3_form2_tree );

				line3_1.max = graph_max_dat;
				line3_2.max = graph_max_dat;
				line3_3.max = graph_max_dat;
				line3_1.min = graph_min_dat;
				line3_2.min = graph_min_dat;
				line3_3.min = graph_min_dat;
				line3_1.limitup  = graph_up_dat;
				line3_2.limitup  = graph_up_dat;
				line3_3.limitup  = graph_up_dat;
				line3_1.limitlow = graph_low_dat;
				line3_2.limitlow = graph_low_dat;
				line3_3.limitlow = graph_low_dat;

				line3_max_dat = graph_max_dat;
				line3_min_dat = graph_min_dat;
				line3_up_dat  = graph_up_dat;
				line3_low_dat = graph_low_dat;

				max = line3_1.max;
				min = line3_1.min;

				if (( line3_1.max > line3_1.limitup ) && ( line3_1.min < line3_1.limitup )) {
					data1 = (float)(line3_1.h) / ((float)max - (float)min);
					data  = data1 * ((float)max - line3_up_dat);
					line3_Line1_dat[0].y = line3_1.y - line3_1.h + data;
					line3_Line1_dat[1].y = line3_Line1_dat[0].y;
					line3_up.y  = line3_Line1_dat[0].y - 5;
				} else if ( line3_1.min >= line3_1.limitup ) {
					line3_low_dat = line3_up_dat;
					line3_up.y	  = line3_1.y - 5;
					line3_Line1_dat[0].y = line3_1.y;
					line3_Line1_dat[1].y = line3_Line1_dat[0].y;
				} else {
					line3_up.y	= line3_max.y;
					line3_Line1_dat[0].y = line3_1.y - line3_1.h;
					line3_Line1_dat[1].y = line3_Line1_dat[0].y;
				}

				if (( line3_1.min < line3_1.limitlow ) && ( line3_1.max > line3_1.limitlow )) {
					data1 = (float)(line3_1.h) / ((float)max - (float)min);
					data  = data1 * ((float)max - line3_low_dat);
					line3_Line2_dat[0].y = line3_1.y - line3_1.h + data;
					line3_Line2_dat[1].y = line3_Line2_dat[0].y;
					line3_low.y	= line3_Line2_dat[0].y - 5;
				} else if ( line3_1.max <= line3_1.limitlow ) {
					line3_up_dat = line3_low_dat;
					line3_low.y	 = line3_1.y - line3_1.h - 5;
					line3_Line2_dat[0].y = line3_1.y - line3_1.h;
					line3_Line2_dat[1].y = line3_Line2_dat[0].y;
				} else {
					line3_low.y	= line3_min.y;
					line3_Line2_dat[0].y = line3_1.y;
					line3_Line2_dat[1].y = line3_Line2_dat[0].y;
				}
				
				TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
				TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
				break;

			case 19:		/* ޤգ		*/
				tline2_1.max = graph_max_dat;
				tline2_2.max = graph_max_dat;
				tline2_3.max = graph_max_dat;
				tline2_1.min = graph_min_dat;
				tline2_2.min = graph_min_dat;
				tline2_3.min = graph_min_dat;

				tline2_max_dat = graph_max_dat;
				tline2_min_dat = graph_min_dat;
				TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
				TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
				break;

			case 20:		/* ޤգ		*/
            	TKerase( sub_core, KARRAY, tline3_form2_tree );

				tline3_1.max = graph_max_dat;
				tline3_2.max = graph_max_dat;
				tline3_3.max = graph_max_dat;
				tline3_1.min = graph_min_dat;
				tline3_2.min = graph_min_dat;
				tline3_3.min = graph_min_dat;
				tline3_1.limitup  = graph_up_dat;
				tline3_2.limitup  = graph_up_dat;
				tline3_3.limitup  = graph_up_dat;
				tline3_1.limitlow = graph_low_dat;
				tline3_2.limitlow = graph_low_dat;
				tline3_3.limitlow = graph_low_dat;

				tline3_max_dat = graph_max_dat;
				tline3_min_dat = graph_min_dat;
				tline3_up_dat  = graph_up_dat;
				tline3_low_dat = graph_low_dat;

				max = tline3_1.max;
				min = tline3_1.min;

				if (( tline3_1.max > tline3_1.limitup ) && ( tline3_1.min < tline3_1.limitup )) {
					data1 = (float)(tline3_1.w) / ((float)max - (float)min);
					data  = data1 * ((float)max - tline3_up_dat);
					tline3_Line1_dat[0].x = tline3_1.x + tline3_1.w - data;
					tline3_Line1_dat[1].x = tline3_Line1_dat[0].x;
					tline3_up.x  = tline3_Line1_dat[0].x - 20;
				} else if ( tline3_1.min >= tline3_1.limitup ) {
					tline3_low_dat = tline3_up_dat;
					tline3_up.x	  = tline3_1.x - 20;
					tline3_Line1_dat[0].x = tline3_1.x;
					tline3_Line1_dat[1].x = tline3_Line1_dat[0].x;
				} else {
					tline3_up.x	= tline3_max.x;
					tline3_Line1_dat[0].x = tline3_1.x + tline3_1.w;
					tline3_Line1_dat[1].x = tline3_Line1_dat[0].x;
				}

				if (( tline3_1.min < tline3_1.limitlow ) && ( tline3_1.max > tline3_1.limitlow )) {
					data1 = (float)(tline3_1.w) / ((float)max - (float)min);
					data  = data1 * ((float)max - tline3_low_dat);
					tline3_Line2_dat[0].x = tline3_1.x + tline3_1.w - data;
					tline3_Line2_dat[1].x = tline3_Line2_dat[0].x;
					tline3_low.x	= tline3_Line2_dat[0].x - 20;
				} else if ( tline3_1.max <= tline3_1.limitlow ) {
					tline3_up_dat = tline3_low_dat;
					tline3_low.x  = tline3_1.x + tline3_1.w - 20;
					tline3_Line2_dat[0].x = tline3_1.x + tline3_1.w;
					tline3_Line2_dat[1].x = tline3_Line2_dat[0].x;
				} else {
					tline3_low.x = tline3_min.x;
					tline3_Line2_dat[0].x = tline3_1.x;
					tline3_Line2_dat[1].x = tline3_Line2_dat[0].x;
				}
				
				TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
				TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
				break;

			deault:
				break;
		}
    }
    return(0);
}
/*$*/
/****************************************
 *
 *	ߥ Ģɼå 
 *
 ****************************************/
static pr_table_set()
{
	Ktdset *pt_data;
	static int dsum;

	dsum = 0;

	pt_data = &arc_Table1_dset[0][0];
	pt_data->data = (int *)&arc_dat[0].data;
	dsum = dsum + arc_dat[0].data;
	pt_data = (Ktdset *)&arc_Table1_dset[0][1];
	pt_data->data = (int *)arc_dat[0].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[0][2];
	pt_data->data = (int *)arc_dat[0].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[0][3];
	pt_data->data = (int *)&arc_dat[0].ptn;

	pt_data = &arc_Table1_dset[1][0];
	pt_data->data = (int *)&arc_dat[1].data;
	dsum = dsum + arc_dat[1].data;
	pt_data = (Ktdset *)&arc_Table1_dset[1][1];
	pt_data->data = (int *)arc_dat[1].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[1][2];
	pt_data->data = (int *)arc_dat[1].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[1][3];
	pt_data->data = (int *)&arc_dat[1].ptn;

	pt_data = &arc_Table1_dset[2][0];
	pt_data->data = (int *)&arc_dat[2].data;
	dsum = dsum + arc_dat[2].data;
	pt_data = (Ktdset *)&arc_Table1_dset[2][1];
	pt_data->data = (int *)arc_dat[2].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[2][2];
	pt_data->data = (int *)arc_dat[2].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[2][3];
	pt_data->data = (int *)&arc_dat[2].ptn;

	pt_data = &arc_Table1_dset[3][0];
	pt_data->data = (int *)&arc_dat[3].data;
	dsum = dsum + arc_dat[3].data;
	pt_data = (Ktdset *)&arc_Table1_dset[3][1];
	pt_data->data = (int *)arc_dat[3].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[3][2];
	pt_data->data = (int *)arc_dat[3].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[3][3];
	pt_data->data = (int *)&arc_dat[3].ptn;

	pt_data = &arc_Table1_dset[4][0];
	pt_data->data = (int *)&arc_dat[4].data;
	dsum = dsum + arc_dat[4].data;
	pt_data = (Ktdset *)&arc_Table1_dset[4][1];
	pt_data->data = (int *)arc_dat[4].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[4][2];
	pt_data->data = (int *)arc_dat[4].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[4][3];
	pt_data->data = (int *)&arc_dat[4].ptn;

	pt_data = &arc_Table1_dset[5][0];
	pt_data->data = (int *)&arc_dat[5].data;
	dsum = dsum + arc_dat[5].data;
	pt_data = (Ktdset *)&arc_Table1_dset[5][1];
	pt_data->data = (int *)arc_dat[5].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[5][2];
	pt_data->data = (int *)arc_dat[5].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[5][3];
	pt_data->data = (int *)&arc_dat[5].ptn;

	pt_data = &arc_Table1_dset[6][0];
	pt_data->data = (int *)&arc_dat[6].data;
	dsum = dsum + arc_dat[6].data;
	pt_data = (Ktdset *)&arc_Table1_dset[6][1];
	pt_data->data = (int *)arc_dat[6].col1;
	pt_data = (Ktdset *)&arc_Table1_dset[6][2];
	pt_data->data = (int *)arc_dat[6].col2;
	pt_data = (Ktdset *)&arc_Table1_dset[6][3];
	pt_data->data = (int *)&arc_dat[6].ptn;

	pt_data = &arc_Table1_dset[7][0];
	pt_data->data = (int *)&dsum;
}
/*$*/
/****************************************
 *
 *	ޤգǡå 
 *
 ****************************************/
static	pr_data_set()
{
	Grptdt		*ptd;
	int			i;
	short  		rand_dat;

	ptd = line1_1.pt;
	for ( i=0; i<line1_1.pc; i++ ) {
		rand_dat = (short)rand() - (short)rand();
		ptd[i].data = (ptd[i].data+rand_dat) % 100;
	}									

	ptd = line1_2.pt;
	for ( i=0; i<line1_2.pc; i++ ) {
		rand_dat = (short)rand() - (short)rand();
		ptd[i].data = (ptd[i].data+rand_dat) % 100;
	}									

	ptd = line1_3.pt;
	for ( i=0; i<line1_3.pc; i++ ) {
		rand_dat = (short)rand() - (short)rand();
		ptd[i].data = (ptd[i].data+rand_dat) % 100;
	}									
}
/*$*/
/****************************************
 *
 *	ߥ ɽ 
 *
 ****************************************/
int	 pr_saikeisan ( core, table, line, clum, type, text )
	Ktcore	*core;
	Kttable	*table;
	int		line;
	int		clum;
	int		type;
	char	*text;

{
	Ktdset *dat;
	static int sum;
	
	sum = 0;

	dat = table->dset;
	sum = sum + *dat->data;
	arc_dat[0].data = *dat->data;
	dat++;
	arc_dat[0].col1 = (char *)dat->data;
	dat++;
	arc_dat[0].col2 = (char *)dat->data;
	dat++;
	arc_dat[0].ptn  = *dat->data;

	dat++;
	sum = sum + *dat->data;
	arc_dat[1].data = *dat->data;
	dat++;
	arc_dat[1].col1 = (char *)dat->data;
	dat++;
	arc_dat[1].col2 = (char *)dat->data;
	dat++;
	arc_dat[1].ptn  = *dat->data;

	dat++;
	sum = sum + *dat->data;
	arc_dat[2].data = *dat->data;
	dat++;
	arc_dat[2].col1 = (char *)dat->data;
	dat++;
	arc_dat[2].col2 = (char *)dat->data;
	dat++;
	arc_dat[2].ptn  = *dat->data;

	dat++;
	sum = sum + *dat->data;
	arc_dat[3].data = *dat->data;
	dat++;
	arc_dat[3].col1 = (char *)dat->data;
	dat++;
	arc_dat[3].col2 = (char *)dat->data;
	dat++;
	arc_dat[3].ptn  = *dat->data;

	dat++;
	sum = sum + *dat->data;
	arc_dat[4].data = *dat->data;
	dat++;
	arc_dat[4].col1 = (char *)dat->data;
	dat++;
	arc_dat[4].col2 = (char *)dat->data;
	dat++;
	arc_dat[4].ptn  = *dat->data;

	dat++;
	sum = sum + *dat->data;
	arc_dat[5].data = *dat->data;
	dat++;
	arc_dat[5].col1 = (char *)dat->data;
	dat++;
	arc_dat[5].col2 = (char *)dat->data;
	dat++;
	arc_dat[5].ptn  = *dat->data;

	dat++;
	sum = sum + *dat->data;
	arc_dat[6].data = *dat->data;
	dat++;
	arc_dat[6].col1 = (char *)dat->data;
	dat++;
	arc_dat[6].col2 = (char *)dat->data;
	dat++;
	arc_dat[6].ptn  = *dat->data;

	dat++;
	dat->data = &sum;

	TKchgcell( core, table, 7, 0 ); 

	TKgrerase( grcore, KSINGL, &arc.hed, HRBDSPOFF );
	TKgrdisplay( grcore, KSINGL, &arc.hed, HRBDSPOFF );

	return(0);
}
/*$*/
/****************************************
 *
 *  ʥ
 *
 ***************************************/
int pr_usrand1( data )
unsigned int    data;
{
	return((data+((short *)rand()-(short *)rand()))%100);
}

int pr_usrand2( data )
unsigned int    data;
{
	return((data+((short *)rand()-(short *)rand()))%200);
}

int pr_rand( data )
int		data;
{
	return((data+(rand()-rand()))%100);
}

int  pr_msg_recv( core, id, wid, data )
    Ktcore  *core;
    int     id;
    Window  wid;
    char    *data;
{
	int	i;
	int	flg1, flg2, flg3, flg4;
	int	dat1, dat2, dat3, dat4;
	int	dw1, dw2, dw3;

	switch(graph_button2.bid) {
		case 3:				/* Ѥ߾夲	*/
			for (i=0; i<3; i++) {
				tate_tumi1_dat[i].data  = tate_tumi2_dat[i].data;
				tate_tumi2_dat[i].data  = tate_tumi3_dat[i].data;
				tate_tumi3_dat[i].data  = tate_tumi4_dat[i].data;
				tate_tumi4_dat[i].data  = tate_tumi5_dat[i].data;
				tate_tumi5_dat[i].data  = tate_tumi6_dat[i].data;
				tate_tumi6_dat[i].data  = tate_tumi7_dat[i].data;
				tate_tumi7_dat[i].data  = tate_tumi8_dat[i].data;
				tate_tumi8_dat[i].data  = tate_tumi9_dat[i].data;
				tate_tumi9_dat[i].data  = tate_tumi10_dat[i].data;
				tate_tumi10_dat[i].data = tate_tumi11_dat[i].data;
				tate_tumi11_dat[i].data = tate_tumi12_dat[i].data;
				tate_tumi12_dat[i].data = tate_tumi13_dat[i].data;
				tate_tumi13_dat[i].data = pr_usrand1(tate_tumi13_dat[i].data);
			}

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 7:				/* Ѥ߾夲쥰	*/
			for (i=0; i<3; i++) {
				tate2_encyu1.pt[i].data  = tate2_encyu2.pt[i].data;
				tate2_encyu2.pt[i].data  = tate2_encyu3.pt[i].data;
				tate2_encyu3.pt[i].data  = tate2_encyu4.pt[i].data;
				tate2_encyu4.pt[i].data  = tate2_encyu5.pt[i].data;
				tate2_encyu5.pt[i].data  = tate2_encyu6.pt[i].data;
				tate2_encyu6.pt[i].data  = tate2_encyu7.pt[i].data;
				tate2_encyu7.pt[i].data  = tate2_encyu8.pt[i].data;
				tate2_encyu8.pt[i].data  = tate2_encyu9.pt[i].data;
				tate2_encyu9.pt[i].data  = tate2_encyu10.pt[i].data;
				tate2_encyu10.pt[i].data  = tate2_encyu11.pt[i].data;
				tate2_encyu11.pt[i].data  = tate2_encyu12.pt[i].data;
				tate2_encyu12.pt[i].data  = tate2_encyu13.pt[i].data;
				tate2_encyu13.pt[i].data  = pr_usrand1(tate2_encyu13.pt[i].data);
			}

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 9:				/* ޤգ		*/
			for ( i=0; i<line1_1.pc-1; i++ ) {
				line1_1_dat[i].data = line1_1_dat[i+1].data;
				line1_2_dat[i].data = line1_2_dat[i+1].data;
				line1_3_dat[i].data = line1_3_dat[i+1].data;
			}
			line1_1_dat[i].data = pr_rand(line1_1_dat[i].data);
			line1_2_dat[i].data = pr_rand(line1_2_dat[i].data);
			line1_3_dat[i].data = pr_rand(line1_3_dat[i].data);

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 10:			/* ޤգ		*/
			flg1 = line2_1_dat[0].flg;
			flg2 = line2_2_dat[0].flg;
			flg3 = line2_3_dat[0].flg;

			for ( i=0; i<line2_1.pc-1; i++ ) {
				line2_1_dat[i].data = line2_1_dat[i+1].data;
				line2_2_dat[i].data = line2_2_dat[i+1].data;
				line2_3_dat[i].data = line2_3_dat[i+1].data;

				line2_1_dat[i].flg  = line2_1_dat[i+1].flg;
				line2_2_dat[i].flg  = line2_2_dat[i+1].flg;
				line2_3_dat[i].flg  = line2_3_dat[i+1].flg;
			}
			line2_1_dat[i].data = pr_rand(line2_1_dat[i].data);
			line2_2_dat[i].data = pr_rand(line2_2_dat[i].data);
			line2_3_dat[i].data = pr_rand(line2_3_dat[i].data);

			line2_1_dat[i].flg  = flg1;
			line2_2_dat[i].flg  = flg2;
			line2_3_dat[i].flg  = flg3;

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 11:			/* ޤգ		*/
			flg1 = line3_1_dat[0].flg;
			flg2 = line3_2_dat[0].flg;
			flg3 = line3_3_dat[0].flg;

			for ( i=0; i<line3_1.pc-1; i++ ) {
				line3_1_dat[i].data = line3_1_dat[i+1].data;
				line3_2_dat[i].data = line3_2_dat[i+1].data;
				line3_3_dat[i].data = line3_3_dat[i+1].data;

				line3_1_dat[i].flg  = line3_1_dat[i+1].flg;
				line3_2_dat[i].flg  = line3_2_dat[i+1].flg;
				line3_3_dat[i].flg  = line3_3_dat[i+1].flg;
			}
			line3_1_dat[i].data = pr_rand(line3_1_dat[i].data);
			line3_2_dat[i].data = pr_rand(line3_2_dat[i].data);
			line3_3_dat[i].data = pr_rand(line3_3_dat[i].data);

			line3_1_dat[i].flg  = flg1;
			line3_2_dat[i].flg  = flg2;
			line3_3_dat[i].flg  = flg3;

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 12:			/* ߥ󥰥㡼ȣ	*/
			dat1 = chart1_dat[0].data;
			dat2 = chart2_dat[0].data;
			dat3 = chart3_dat[0].data;
			dat4 = chart4_dat[0].data;

			flg1 = chart1_dat[0].flg;
			flg2 = chart2_dat[0].flg;
			flg3 = chart3_dat[0].flg;
			flg4 = chart4_dat[0].flg;

			for ( i=0; i<chart1.pc-1; i++ ) {
				chart1_dat[i].data = chart1_dat[i+1].data;
				chart2_dat[i].data = chart2_dat[i+1].data;
				chart3_dat[i].data = chart3_dat[i+1].data;
				chart4_dat[i].data = chart4_dat[i+1].data;

				chart1_dat[i].flg  = chart1_dat[i+1].flg;
				chart2_dat[i].flg  = chart2_dat[i+1].flg;
				chart3_dat[i].flg  = chart3_dat[i+1].flg;
				chart4_dat[i].flg  = chart4_dat[i+1].flg;
			}
			chart1_dat[i].data = dat1;
			chart2_dat[i].data = dat2;
			chart3_dat[i].data = dat3;
			chart4_dat[i].data = dat4;

			chart1_dat[i].flg = flg1;
			chart2_dat[i].flg = flg2;
			chart3_dat[i].flg = flg3;
			chart4_dat[i].flg = flg4;

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 15:			/* ǥ⣱				*/
			demo1_1_1.data   = demo1_1_2.data;
			demo1_1_2.data   = demo1_1_3.data;
			demo1_1_3.data   = demo1_1_4.data;
			demo1_1_4.data   = demo1_1_5.data;
			demo1_1_5.data   = demo1_1_6.data;
			demo1_1_6.data   = demo1_1_7.data;
			demo1_1_7.data   = demo1_1_8.data;
			demo1_1_8.data   = demo1_1_9.data;
			demo1_1_9.data   = demo1_1_10.data;
			demo1_1_10.data  = demo1_1_11.data;
			demo1_1_11.data  = demo1_1_12.data;
			demo1_1_12.data  = pr_usrand1(demo1_1_12.data);

			demo1_2_1.data   = demo1_2_2.data;
			demo1_2_2.data   = demo1_2_3.data;
			demo1_2_3.data   = demo1_2_4.data;
			demo1_2_4.data   = demo1_2_5.data;
			demo1_2_5.data   = demo1_2_6.data;
			demo1_2_6.data   = demo1_2_7.data;
			demo1_2_7.data   = demo1_2_8.data;
			demo1_2_8.data   = demo1_2_9.data;
			demo1_2_9.data   = demo1_2_10.data;
			demo1_2_10.data  = demo1_2_11.data;
			demo1_2_11.data  = demo1_2_12.data;
			demo1_2_12.data  = pr_usrand1(demo1_2_12.data);

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 16:			/* ǥ⣲				*/
			demo2_1_1.data   = demo2_1_2.data;
			demo2_1_2.data   = demo2_1_3.data;
			demo2_1_3.data   = demo2_1_4.data;
			demo2_1_4.data   = demo2_1_5.data;
			demo2_1_5.data   = demo2_1_6.data;
			demo2_1_6.data   = demo2_1_7.data;
			demo2_1_7.data   = pr_usrand1(demo2_1_7.data);

			demo2_2_1.data   = demo2_2_2.data;
			demo2_2_2.data   = demo2_2_3.data;
			demo2_2_3.data   = demo2_2_4.data;
			demo2_2_4.data   = demo2_2_5.data;
			demo2_2_5.data   = demo2_2_6.data;
			demo2_2_6.data   = demo2_2_7.data;
			demo2_2_7.data   = pr_usrand1(demo2_2_7.data);

			demo2_3_1.data   = demo2_3_2.data;
			demo2_3_2.data   = demo2_3_3.data;
			demo2_3_3.data   = demo2_3_4.data;
			demo2_3_4.data   = demo2_3_5.data;
			demo2_3_5.data   = demo2_3_6.data;
			demo2_3_6.data   = demo2_3_7.data;
			demo2_3_7.data   = pr_usrand1(demo2_3_7.data);

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 17:			/* ǥ⣳				*/
			demo3_1_1.data   = demo3_1_2.data;
			demo3_1_2.data   = demo3_1_3.data;
			demo3_1_3.data   = demo3_1_4.data;
			demo3_1_4.data   = demo3_1_5.data;
			demo3_1_5.data   = demo3_1_6.data;
			demo3_1_6.data   = demo3_1_7.data;
			demo3_1_7.data   = demo3_1_8.data;
			demo3_1_8.data   = demo3_1_9.data;
			demo3_1_9.data   = demo3_1_10.data;
			demo3_1_10.data  = demo3_1_11.data;
			demo3_1_11.data  = demo3_1_12.data;
			demo3_1_12.data  = pr_usrand2(demo3_1_12.data);

			demo3_2_1.data   = demo3_2_2.data;
			demo3_2_2.data   = demo3_2_3.data;
			demo3_2_3.data   = demo3_2_4.data;
			demo3_2_4.data   = demo3_2_5.data;
			demo3_2_5.data   = demo3_2_6.data;
			demo3_2_6.data   = demo3_2_7.data;
			demo3_2_7.data   = demo3_2_8.data;
			demo3_2_8.data   = demo3_2_9.data;
			demo3_2_9.data   = demo3_2_10.data;
			demo3_2_10.data  = demo3_2_11.data;
			demo3_2_11.data  = demo3_2_12.data;
			demo3_2_12.data  = pr_usrand2(demo3_2_12.data);

			demo3_3_1.data   = demo3_3_2.data;
			demo3_3_2.data   = demo3_3_3.data;
			demo3_3_3.data   = demo3_3_4.data;
			demo3_3_4.data   = demo3_3_5.data;
			demo3_3_5.data   = demo3_3_6.data;
			demo3_3_6.data   = demo3_3_7.data;
			demo3_3_7.data   = demo3_3_8.data;
			demo3_3_8.data   = demo3_3_9.data;
			demo3_3_9.data   = demo3_3_10.data;
			demo3_3_10.data  = demo3_3_11.data;
			demo3_3_11.data  = demo3_3_12.data;
			demo3_3_12.data  = pr_usrand2(demo3_3_12.data);

			demo3_4_1.data   = demo3_4_2.data;
			demo3_4_2.data   = demo3_4_3.data;
			demo3_4_3.data   = demo3_4_4.data;
			demo3_4_4.data   = demo3_4_5.data;
			demo3_4_5.data   = demo3_4_6.data;
			demo3_4_6.data   = demo3_4_7.data;
			demo3_4_7.data   = demo3_4_8.data;
			demo3_4_8.data   = demo3_4_9.data;
			demo3_4_9.data   = demo3_4_10.data;
			demo3_4_10.data  = demo3_4_11.data;
			demo3_4_11.data  = demo3_4_12.data;
			demo3_4_12.data  = pr_usrand2(demo3_4_12.data);

			for ( i=0; i<demo3_line.pc-1; i++ ) {
				demo3_line_dat[i].data = demo3_line_dat[i+1].data;
			}
			demo3_line_dat[i].data = demo3_1_12.data + demo3_2_12.data + demo3_3_12.data + demo3_4_12.data;

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 18:			/* 󥸥		*/
			indicator1.data = pr_rand(indicator1.data);
			indicator2.data = pr_rand(indicator2.data);
			indicator3.data = pr_rand(indicator3.data);
			indicator4.data = pr_rand(indicator4.data);

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPOFF );
			break;

		case 19:			/* ޤգ		*/
			flg1 = tline2_1_dat[0].flg;
			flg2 = tline2_2_dat[0].flg;
			flg3 = tline2_3_dat[0].flg;

			for ( i=0; i<tline2_1.pc-1; i++ ) {
				tline2_1_dat[i].data = tline2_1_dat[i+1].data;
				tline2_2_dat[i].data = tline2_2_dat[i+1].data;
				tline2_3_dat[i].data = tline2_3_dat[i+1].data;

				tline2_1_dat[i].flg  = tline2_1_dat[i+1].flg;
				tline2_2_dat[i].flg  = tline2_2_dat[i+1].flg;
				tline2_3_dat[i].flg  = tline2_3_dat[i+1].flg;
			}
			tline2_1_dat[i].data = pr_rand(tline2_1_dat[i].data);
			tline2_2_dat[i].data = pr_rand(tline2_2_dat[i].data);
			tline2_3_dat[i].data = pr_rand(tline2_3_dat[i].data);

			tline2_1_dat[i].flg  = flg1;
			tline2_2_dat[i].flg  = flg2;
			tline2_3_dat[i].flg  = flg3;

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		case 20:			/* ޤգ		*/
			flg1 = tline3_1_dat[0].flg;
			flg2 = tline3_2_dat[0].flg;
			flg3 = tline3_3_dat[0].flg;

			for ( i=0; i<tline3_1.pc-1; i++ ) {
				tline3_1_dat[i].data = tline3_1_dat[i+1].data;
				tline3_2_dat[i].data = tline3_2_dat[i+1].data;
				tline3_3_dat[i].data = tline3_3_dat[i+1].data;

				tline3_1_dat[i].flg  = tline3_1_dat[i+1].flg;
				tline3_2_dat[i].flg  = tline3_2_dat[i+1].flg;
				tline3_3_dat[i].flg  = tline3_3_dat[i+1].flg;
			}
			tline3_1_dat[i].data = pr_rand(tline3_1_dat[i].data);
			tline3_2_dat[i].data = pr_rand(tline3_2_dat[i].data);
			tline3_3_dat[i].data = pr_rand(tline3_3_dat[i].data);

			tline3_1_dat[i].flg  = flg1;
			tline3_2_dat[i].flg  = flg2;
			tline3_3_dat[i].flg  = flg3;

			TKgrerase( grcore, KALL, NULL, HRBDSPOFF );
			TKgrdisplay( grcore, KALL, NULL, HRBDSPON );
			break;

		default:
			break;
	}
	alarm(1);
}

/****************************************
 *
 *	󥸥 ѹ 
 *
 ****************************************/
int     pr_indicator_scale (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease) {
		switch(butn->bid) {
			case 1:
				indicator1.max = indicator_max1_data_dat;
				indicator1.min = indicator_min1_data_dat;

				indicator_max1_dat = indicator1.max;
				indicator_min1_dat = indicator1.min;

				TKgrerase( grcore, KSINGL, &indicator1, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator1, HRBDSPON );
				break;

			case 2:
				indicator2.max = indicator_max2_data_dat;
				indicator2.min = indicator_min2_data_dat;

				indicator_max2_dat = indicator2.max;
				indicator_min2_dat = indicator2.min;

				TKgrerase( grcore, KSINGL, &indicator2, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator2, HRBDSPON );
				break;

			case 3:
				indicator3.max = indicator_max3_data_dat;
				indicator3.min = indicator_min3_data_dat;

				indicator_max3_dat = indicator3.max;
				indicator_min3_dat = indicator3.min;

				TKgrerase( grcore, KSINGL, &indicator3, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator3, HRBDSPON );
				break;

			case 4:
				indicator4.max = indicator_max4_data_dat;
				indicator4.min = indicator_min4_data_dat;

				indicator_max4_dat = indicator4.max;
				indicator_min4_dat = indicator4.min;

				TKgrerase( grcore, KSINGL, &indicator4, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator4, HRBDSPON );
				break;

			default:
				break;
		}
    }
    return(0);
}


/****************************************
 *
 *	󥸥 ɽѹ
 *
 ****************************************/
int     pr_indicator_type (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease) {
		switch(butn->bid) {
			case 1:
				indicator1.type = indicator_type1_dat;

				TKgrerase( grcore, KSINGL, &indicator1, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator1, HRBDSPON );
				break;

			case 2:
				indicator2.type = indicator_type2_dat;

				TKgrerase( grcore, KSINGL, &indicator2, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator2, HRBDSPON );
				break;

			case 3:
				indicator3.type = indicator_type3_dat;

				TKgrerase( grcore, KSINGL, &indicator3, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator3, HRBDSPON );
				break;

			case 4:
				indicator4.type = indicator_type4_dat;

				TKgrerase( grcore, KSINGL, &indicator4, HRBDSPOFF );
				TKgrdisplay( grcore, KSINGL, &indicator4, HRBDSPON );
				break;

			default:
				break;
		}
    }
    return(0);
}


