/****************************************************************
 *																*
 *		FILE NAME 		fatrend.c								*
 *		CREATE			1993.11.26		FDS						*
 *		CREATE			1993.12.01		FDS						*
 *																*
 *																*
 ****************************************************************/

/****************************************************************
*       Call Back Routine   TREND GRAPH                         *
*****************************************************************/
#include       <TK2/TK.h>
#include       <TK2/TKusr.h>
#ifdef PS
#include       <PRkid/TKPrinPS.h>
#endif
#include       <GR.h>		/* եġإå	*/
#include       "trend.h"				/* ȥɲ̥إå	*/
#include		"fa1.h"

    /* TREND GRAPH DATA SAVE STRUCT AREA 93/11/24 */
typedef struct  {
    int     s_u;        				/*    */
    int     s_d;        				/* 벼   */
    int     samp;       				/* ץ󥰼 */
    int     d_poit;     				/* ɽݥȿ   */
    int     p_dspid;    				/* ɽɣ   */
    int     q_dspid;    				/* ɽɣ   */
    int     i_dspid;    				/* ɽɣ   */
    int     greid;      				/* åɴֳ     */
} TREND_DATA;

										/* ˥ǡ	*/
static  TREND_DATA  bf_tdinit = { 100,0,1,20,0,0,0,10};

										/* ȥɾХåե	*/
TREND_DATA  bf_td = { 100,0,1,20,0,0,0,10};

typedef	struct	{
		int		p;
		int		q;
		int		i;
} SAMPLE_DAT2;

static  SAMPLE_DAT2 bf_ran[10] = {1,2,3,
                                  4,3,2,
                                  3,4,5,
                                  21,19,17,
                                  15,15,15,
                                  -1,-2,-3,
                                  -4,-3,-2,
                                  -3,-4,-5,
                                  -21,-19,-17,
                                  -15,-15,-15
                                  };

										/* ̴ؿѿ		*/
/***** PUBLIC SECTION START *********/
void	pr_trend_open();		/* ȥɾե륪ץ	*/
void	pr_trend_dtset();		/* ȥɾ				*/
void	pr_trend_dsp();			/* ȥɥɽ		*/
int		fg_start;				/* ȥɥճϥե饰		*/
int		point_no;				/* Žݥ󥿣Σ			*/
Grcore	*g_core;				/* եġХåե		*/
/****** PUBLIC SECTION END *********/

static int		fg_hen;			/* ȥɥճϾѥե饰	*/
static int		bf_dsp_point;	/* ȥɥɽݥȿ	*/
static int		bf_count;		/* ץ			*/
static int		bf_sample;		/* ץХåե		*/
static int		fl_color_space; /* COLOR SPACE FLAG				*/

void	pr_trend_write();		/* ȥɾեǼ	*/

static	Ktbutn	*samp_butn[] = {	/* ץܥ	*/
	(Ktbutn *)	&TD_butn12.hed,
	(Ktbutn *)	&TD_butn13.hed,
	(Ktbutn *)	&TD_butn14.hed,
	(Ktbutn *)	&TD_butn15.hed,
	NULL};
static	Ktbutn	*dpoit_butn[] = {	/* ɽڤؤܥ	*/
	(Ktbutn *)	&TD_butn16.hed,
	(Ktbutn *)	&TD_butn17.hed,
	(Ktbutn *)	&TD_butn18.hed,
	(Ktbutn *)	&TD_butn19.hed,
	NULL};
static	Ktbutn	*grid_butn[] = {	/* åɿڤؤܥ	*/
	(Ktbutn *)	&TD_butn65.hed,
	(Ktbutn *)	&TD_butn66.hed,
	(Ktbutn *)	&TD_butn67.hed,
	NULL};

static	Ktbutn	*dsp_butn_p[] = {	/* ɽڤؤܥ	*/
	(Ktbutn *)	&TD_butn20.hed,
	(Ktbutn *)	&TD_butn21.hed,
	(Ktbutn *)	&TD_butn22.hed,
	(Ktbutn *)	&TD_butn23.hed,
	(Ktbutn *)	&TD_butn24.hed,
	(Ktbutn *)	&TD_butn25.hed,
	(Ktbutn *)	&TD_butn26.hed,
	(Ktbutn *)	&TD_butn27.hed,
	(Ktbutn *)	&TD_butn28.hed,
	(Ktbutn *)	&TD_butn29.hed,
	(Ktbutn *)	&TD_butn30.hed,
	(Ktbutn *)	&TD_butn31.hed,
	(Ktbutn *)	&TD_butn32.hed,
	(Ktbutn *)	&TD_butn33.hed,
	(Ktbutn *)	&TD_butn34.hed,
	NULL};
static	Ktbutn	*dsp_butn_q[] = {	/* ɽڤؤܥ */
	(Ktbutn *)	&TD_butn35.hed,
	(Ktbutn *)	&TD_butn36.hed,
	(Ktbutn *)	&TD_butn37.hed,
	(Ktbutn *)	&TD_butn38.hed,
	(Ktbutn *)	&TD_butn39.hed,
	(Ktbutn *)	&TD_butn40.hed,
	(Ktbutn *)	&TD_butn41.hed,
	(Ktbutn *)	&TD_butn42.hed,
	(Ktbutn *)	&TD_butn43.hed,
	(Ktbutn *)	&TD_butn44.hed,
	(Ktbutn *)	&TD_butn45.hed,
	(Ktbutn *)	&TD_butn46.hed,
	(Ktbutn *)	&TD_butn47.hed,
	(Ktbutn *)	&TD_butn48.hed,
	(Ktbutn *)	&TD_butn49.hed,
	NULL};
static	Ktbutn	*dsp_butn_i[] = {	/* ɽڤؤܥ */
	(Ktbutn *)	&TD_butn50.hed,
	(Ktbutn *)	&TD_butn51.hed,
	(Ktbutn *)	&TD_butn52.hed,
	(Ktbutn *)	&TD_butn53.hed,
	(Ktbutn *)	&TD_butn54.hed,
	(Ktbutn *)	&TD_butn55.hed,
	(Ktbutn *)	&TD_butn56.hed,
	(Ktbutn *)	&TD_butn57.hed,
	(Ktbutn *)	&TD_butn58.hed,
	(Ktbutn *)	&TD_butn59.hed,
	(Ktbutn *)	&TD_butn60.hed,
	(Ktbutn *)	&TD_butn61.hed,
	(Ktbutn *)	&TD_butn62.hed,
	(Ktbutn *)	&TD_butn63.hed,
	(Ktbutn *)	&TD_butn64.hed,
	NULL};

Ktline	*dsp_grid_1[] = {			/* åɥ饤  饤	*/
	(Ktline *)	&TDLine1.hed,
	(Ktline *)	&TDLine2.hed,
	(Ktline *)	&TDLine3.hed,
	(Ktline *)	&TDLine4.hed,
	(Ktline *)	&TDLine5.hed,
	(Ktline *)	&TDLine6.hed,
	(Ktline *)	&TDLine7.hed,
	(Ktline *)	&TDLine8.hed,
	(Ktline *)	&TDLine9.hed,
	(Ktline *)	&TDLine10.hed,
	(Ktline *)	&TDLine11.hed,
	(Ktline *)	&TDLine12.hed,
	(Ktline *)	&TDLine13.hed,
	(Ktline *)	&TDLine14.hed,
	(Ktline *)	&TDLine15.hed,
	(Ktline *)	&TDLine16.hed,
	(Ktline *)	&TDLine17.hed,
	(Ktline *)	&TDLine18.hed,
	(Ktline *)	&TDLine19.hed,
	(Ktline *)	&TDLine20.hed,
	(Ktline *)	&TDLine21.hed,
	(Ktline *)	&TDLine22.hed,
	(Ktline *)	&TDLine23.hed,
	(Ktline *)	&TDLine24.hed,
	(Ktline *)	&TDLine25.hed,
	NULL};
Ktline	*dsp_grid_2[] = {
	(Ktline *)	&TDLine2.hed,
	(Ktline *)	&TDLine4.hed,
	(Ktline *)	&TDLine6.hed,
	(Ktline *)	&TDLine8.hed,
	(Ktline *)	&TDLine10.hed,
	(Ktline *)	&TDLine12.hed,
	(Ktline *)	&TDLine14.hed,
	(Ktline *)	&TDLine16.hed,
	(Ktline *)	&TDLine18.hed,
	(Ktline *)	&TDLine20.hed,
	(Ktline *)	&TDLine22.hed,
	(Ktline *)	&TDLine24.hed,
	NULL};
Ktline	*dsp_grid_3[] = {
	(Ktline *)	&TDLine1.hed,
	(Ktline *)	&TDLine6.hed,
	(Ktline *)	&TDLine11.hed,
	(Ktline *)	&TDLine16.hed,
	(Ktline *)	&TDLine21.hed,
	NULL};


/****************************************************************
 *		եġޤվ							*
 ***************************************************************/
#define	XJIKU	140
#define	YJIKU	490
#define	HABA	600
#define	TAKASA	250
#define	B_KAN	30

	Grptdt	TD_p_dat[201];
	Grptdt	TD_q_dat[201];
	Grptdt	TD_i_dat[201];

	Grline	TD_line_p =
	{	HRline,NULL,1,NULL,
		XJIKU,YJIKU,HABA,TAKASA,0,100,B_KAN,0,BLACK,200,(Grptdt *)TD_p_dat};
	Grline	TD_line_q =
	{	HRline,NULL,1,NULL,
		XJIKU,YJIKU,HABA,TAKASA,0,100,B_KAN,0,BLACK,200,(Grptdt *)TD_q_dat};
	Grline	TD_line_i =
	{	HRline,NULL,1,NULL,
		XJIKU,YJIKU,HABA,TAKASA,0,100,B_KAN,0,BLACK,200,(Grptdt *)TD_i_dat};

static	Grline *dsp_gline[] ={
	(Grline *)	&TD_line_p.hed,
	(Grline *)	&TD_line_q.hed,
	(Grline *)	&TD_line_i.hed,
	NULL};
/*$*/
/****************************************************************
*       Sub Routine                                       		*
*****************************************************************/

	/* ʾǡ	*/ 
void	pr_data_init(p,q,i)
int		p,q,i;
{
	int		cnt;
	Grptdt	*p_p,*p_q,*p_i;
	Grptdt	*n_p,*n_q,*n_i;
	int		ct_ran;

	/****	START	****/

	n_p = p_p = TD_line_p.pt;
	n_q = p_q = TD_line_q.pt;
	n_i = p_i = TD_line_i.pt;
	n_p++;
	n_q++;
	n_i++;

	ct_ran = (int)rand() % 10;
	p_p->data = (p + bf_ran[ct_ran].p) % 880;
	ct_ran = (int)rand() % 10;
	p_q->data = (q + bf_ran[ct_ran].q) % 880;
	ct_ran = (int)rand() % 10;
	p_i->data = abs((i + bf_ran[ct_ran].i) % 2000);

	for(cnt=0; cnt <200; cnt++,p_p++,p_q++,p_i++,n_p++,n_q++,n_i++)
	{
		ct_ran = (int)rand() % 10;
		n_p->data = (p_p->data + bf_ran[ct_ran].p) % 880;
		ct_ran = (int)rand() % 10;
		n_q->data = (p_q->data + bf_ran[ct_ran].q) % 880;
		ct_ran = (int)rand() % 10;
		n_i->data = abs((p_i->data + bf_ran[ct_ran].i) % 2000);
	}
}

/* ɽ궦̥֥롼	*/

void		pr_color_set(col,id)
char	**col;
int		id;
{
	int	bf_mod;
	Ktbutn	*pt_butn;

	/****	START	****/

	bf_mod = id % 100;
	pt_butn = dsp_butn_p[bf_mod];
	*col = pt_butn->pc1;		/* ɽ */
}

/* ȥɾե륪ץ	*/

void		pr_trend_open(pt_dt)
TREND_DATA	*pt_dt;
{
	FILE *fp;
	TREND_DATA	bf_tmp;
	int		size;

	/****	START	****/

	fp = NULL;
	fp = fopen("T_data","r");
	if (fp != NULL)
	{
		size = fread(&bf_tmp,1,sizeof(TREND_DATA),fp);
		if (size == sizeof(TREND_DATA))
			memcpy(pt_dt,&bf_tmp,sizeof(TREND_DATA));
		else
			memcpy(pt_dt,&bf_tdinit,sizeof(TREND_DATA));
		fclose(fp);
	} else {
		memcpy(pt_dt,&bf_tdinit,sizeof(TREND_DATA));
	}
}

/* ȥɾեǼ	*/

void	pr_trend_write(pt_dt)
TREND_DATA	*pt_dt;
{
	FILE *fp;
	TREND_DATA	bf_tmp;
	int		size;

	/****	START	****/

	fp = NULL;
	fp = fopen("T_data","w");
	if (fp != NULL)
	{
		size = fwrite(pt_dt,1,sizeof(TREND_DATA),fp);
		fclose(fp);
	} else {
		printf("TREND DATA FILE WRITE ERROR\n");
	}
}

/*$*/

/* ȥɾ		*/

void	pr_trend_dtset(core,pt_dt,no,p_dt,q_dt,i_dt)
Ktcore		*core;
TREND_DATA	*pt_dt;
int			no;
int			p_dt,q_dt,i_dt;
{
	int	*tmpdt;
	Ktbutn	*pt_butn;
	int	i,bf_mask;
	int	bf_kan;

#if DEBUG 
	printf("trend_dtset kaishi\n");
	printf("up->%d down->%d sample->%d point->%d greid->%d \n",
			pt_dt->s_u,pt_dt->s_d,pt_dt->samp,pt_dt->d_poit,pt_dt->greid);
#endif
								/* ȥɥեǡ	*/
	TD_line_p.pc = 201;
	TD_line_p.pt = &TD_p_dat[0];
	TD_line_q.pc = 201;
	TD_line_q.pt = &TD_q_dat[0];
	TD_line_i.pc = 201;
	TD_line_i.pt = &TD_i_dat[0];
	pr_data_init(p_dt,q_dt,i_dt);

	point_no = no;				/* ݥ󥿰		*/

	tmpdt = TD_Idata6.data;
	*tmpdt = pt_dt->s_u;		/* 		*/
	tmpdt = TD_Idata100.data;
	*tmpdt = pt_dt->s_u;		/* 		*/
	TKdisplay(core,KSINGL,&TD_Idata6);
	TKdisplay(core,KSINGL,&TD_Idata100);

	tmpdt = TD_Idata8.data;
	*tmpdt = pt_dt->s_d;		/* 		*/
	tmpdt = TD_Idata101.data;
	*tmpdt = pt_dt->s_d;		/* 		*/
	TKdisplay(core,KSINGL,&TD_Idata8);
	TKdisplay(core,KSINGL,&TD_Idata101);
	TD_line_p.max = bf_td.s_u;
	TD_line_q.max = bf_td.s_u;
	TD_line_i.max = bf_td.s_u;
	TD_line_p.min = bf_td.s_d;
	TD_line_q.min = bf_td.s_d;
	TD_line_i.min = bf_td.s_d;

	i=0;						/* ץ󥰼	*/
	while(samp_butn[i] != NULL)
	{
		pt_butn = samp_butn[i];
		pt_butn->flg =0;
		i++;
	}	
	switch(pt_dt->samp)
	{
		case 1:
			pt_butn = samp_butn[0];
			pt_butn->flg =1;
		break;
		case 5:
			pt_butn = samp_butn[1];
			pt_butn->flg =1;
		break;
		case 10:
			pt_butn = samp_butn[2];
			pt_butn->flg =1;
		break;
		case 60:
			pt_butn = samp_butn[3];
			pt_butn->flg =1;
		break;
		default:
			printf("sample shuuki ERROR \n");
		break;
	}
	TKdisplay(core,KSINGL,pt_butn);
								/* ɽ		*/
	i=0;
	while(dsp_butn_p[i] != NULL)
	{
		pt_butn = dsp_butn_p[i];
		pt_butn->flg =0;
		pt_butn = dsp_butn_q[i];
		pt_butn->flg =0;
		pt_butn = dsp_butn_i[i];
		pt_butn->flg =0;
		i++;
	}	
	bf_mask = pt_dt->p_dspid % 100;
	pt_butn = dsp_butn_p[bf_mask];
	pt_butn->flg = 1;
	TKdisplay(core,KSINGL,pt_butn);
	bf_mask = pt_dt->q_dspid % 100;
	pt_butn = dsp_butn_q[bf_mask];
	pt_butn->flg = 1;
	TKdisplay(core,KSINGL,pt_butn);
	bf_mask = pt_dt->i_dspid % 100;
	pt_butn = dsp_butn_i[bf_mask];
	pt_butn->flg = 1;
	TKdisplay(core,KSINGL,pt_butn);

	pr_color_set(&TD_line_p.col,bf_td.p_dspid);
	pr_color_set(&TD_line_q.col,bf_td.q_dspid);
	pr_color_set(&TD_line_i.col,bf_td.i_dspid);

								/* ɽݥȿ		*/
	i=0;
	while(dpoit_butn[i] != NULL)
	{
		pt_butn = dpoit_butn[i];
		pt_butn->flg =0;
		i++;
	}	
	switch(pt_dt->d_poit)
	{
		case 20:
			bf_kan = 600/20;
			TD_line_p.pc = 21;
			TD_line_p.pt = &TD_p_dat[180];
			TD_line_q.pc = 21;
			TD_line_q.pt = &TD_q_dat[180];
			TD_line_i.pc = 21;
			TD_line_i.pt = &TD_i_dat[180];
			dpoit_butn[0]->flg = 1;
		break;
		case 50:
			bf_kan = 600/50;
			TD_line_p.pc = 51;
			TD_line_p.pt = &TD_p_dat[150];
			TD_line_q.pc = 51;
			TD_line_q.pt = &TD_q_dat[150];
			TD_line_i.pc = 51;
			TD_line_i.pt = &TD_i_dat[150];
			dpoit_butn[1]->flg = 1;
		break;
		case 100:
			bf_kan = 600/100;
			TD_line_p.pc = 101;
			TD_line_p.pt = &TD_p_dat[100];
			TD_line_q.pc = 101;
			TD_line_q.pt = &TD_q_dat[100];
			TD_line_i.pc = 101;
			TD_line_i.pt = &TD_i_dat[100];
			dpoit_butn[2]->flg = 1;
		break;
		case 200:
			bf_kan = 600/200;
			TD_line_p.pc = 201;
			TD_line_p.pt = &TD_p_dat[0];
			TD_line_q.pc = 201;
			TD_line_q.pt = &TD_q_dat[0];
			TD_line_i.pc = 201;
			TD_line_i.pt = &TD_i_dat[0];
			dpoit_butn[3]->flg = 1;
		break;
		default:
			printf("DISPLAY POINT COUNT ERROR \n");
		break;
	}
	TD_line_p.width = bf_kan;
	TD_line_q.width = bf_kan;
	TD_line_i.width = bf_kan;
	TKdisplay(core,KARRAY,dpoit_butn);

									/* åɽ		*/
	i=0;
	while(grid_butn[i] != NULL)
	{
		pt_butn = grid_butn[i];
		pt_butn->flg =0;
		i++;
	}	
	TKdelete(core,KARRAY,dsp_grid_1);
	switch(pt_dt->greid)
	{
		case 10:
			TKentry(core,KARRAY,dsp_grid_1);
			pt_butn = grid_butn[0];
			pt_butn->flg =1;
		break;
		case 20:
			TKentry(core,KARRAY,dsp_grid_2);
			pt_butn = grid_butn[1];
			pt_butn->flg =1;
		break;
		case 50:
			TKentry(core,KARRAY,dsp_grid_3);
			pt_butn = grid_butn[2];
			pt_butn->flg =1;
		break;
	}
	TKdisplay(core,KARRAY,grid_butn);

	TD_butn200.flg =1;
	TD_butn201.flg =0;
	fl_color_space =0;
	TKdisplay(core,KSINGL,&TD_butn200.hed);
	TKdisplay(core,KSINGL,&TD_butn201.hed);

	fg_start = 1;
	fg_hen = 1;
	TKgrentry(g_core,KARRAY,dsp_gline,HRBDSPOFF);

#if DEBUG 
	printf("\n ***** trend_dtset shuuryou\n");
#endif
}

/* ޤեǡ񤭴	*/

void	pr_data_chg(dat,cnt,data)
Grptdt	*dat;
int		cnt;
int		data;
{
	Grptdt	*tmp;
	Grptdt	*next;
	int		i;
	/****	START	****/

	next = tmp = dat;
	next++; 	
	
	for(i=0; i< cnt;i++,tmp++,next++)
	{
		*tmp = *next;
	}
	tmp->data  = (int )data;
}

/* ޤեǡɽ	*/

void 	pr_trend_display(p,q,i)
int		p,q,i;
{
	Grptdt *pt_data;

	/****	START		****/

	TKgrerase(g_core,KARRAY,dsp_gline,HRBDSPON);

	pt_data = TD_line_p.pt;
	pr_data_chg(pt_data,bf_dsp_point,p);
	pt_data = TD_line_q.pt;
	pr_data_chg(pt_data,bf_dsp_point,q);
	pt_data = TD_line_i.pt;
	pr_data_chg(pt_data,bf_dsp_point,i);

	TKgrdisplay(g_core,KARRAY,dsp_gline,HRBDSPON);
}

/* ޤɽᥤ	*/

void	pr_trend_dsp(p_dt,q_dt,i_dt)
int		p_dt;
int		q_dt;
int		i_dt;
{
	int		i;

	if (fg_start != 0)
	{
		if (fg_hen != 0)
		{								/*  		*/
			fg_hen = 0;
			bf_sample = bf_td.samp;		/* ץ󥰿å	*/
			bf_count= bf_sample -1;
			bf_dsp_point = bf_td.d_poit;/* ɽå		*/
		}

		if (bf_count == (bf_sample -1))
		{
			bf_count =0;
							/* ɽ	*/
			pr_trend_display(p_dt,q_dt,i_dt);
		} else
		{
			bf_count++;
		}
	} else
	{
		fg_hen =1;
	}
}
/*$*/
/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/
/* 괰λ */
int     pr_TDb1 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int		*pt_data;
	int		bf_kan;

	/****	START	****/

    if (event == ButtonRelease)
    {
		TD_line_p.max = bf_td.s_u;
		TD_line_q.max = bf_td.s_u;
		TD_line_i.max = bf_td.s_u;
		TD_line_p.min = bf_td.s_d;
		TD_line_q.min = bf_td.s_d;
		TD_line_i.min = bf_td.s_d;

		switch(bf_td.d_poit)
		{
			case 20:
				bf_kan = 600/20;
				TD_line_p.pc = 21;
				TD_line_p.pt = &TD_p_dat[180];
				TD_line_q.pc = 21;
				TD_line_q.pt = &TD_q_dat[180];
				TD_line_i.pc = 21;
				TD_line_i.pt = &TD_i_dat[180];
			break;
			case 50:
				bf_kan = 600/50;
				TD_line_p.pc = 51;
				TD_line_p.pt = &TD_p_dat[150];
				TD_line_q.pc = 51;
				TD_line_q.pt = &TD_q_dat[150];
				TD_line_i.pc = 51;
				TD_line_i.pt = &TD_i_dat[150];
			break;
			case 100:
				bf_kan = 600/100;
				TD_line_p.pc = 101;
				TD_line_p.pt = &TD_p_dat[100];
				TD_line_q.pc = 101;
				TD_line_q.pt = &TD_q_dat[100];
				TD_line_i.pc = 101;
				TD_line_i.pt = &TD_i_dat[100];
			break;
			case 200:
				bf_kan = 600/200;
				TD_line_p.pc = 201;
				TD_line_p.pt = &TD_p_dat[0];
				TD_line_q.pc = 201;
				TD_line_q.pt = &TD_q_dat[0];
				TD_line_i.pc = 201;
				TD_line_i.pt = &TD_i_dat[0];
			break;
		}
		TD_line_p.width = bf_kan;
		TD_line_q.width = bf_kan;
		TD_line_i.width = bf_kan;

		pr_color_set(&TD_line_p.col,bf_td.p_dspid);
		pr_color_set(&TD_line_q.col,bf_td.q_dspid);
		pr_color_set(&TD_line_i.col,bf_td.i_dspid);

		pr_trend_write(&bf_td);		/* ե륻 */

		pt_data = TD_Idata100.data;
		*pt_data = bf_td.s_u;
		TKdisplay(core,KSINGL,&TD_Idata100);
		pt_data = TD_Idata101.data;
		*pt_data = bf_td.s_d;
		TKdisplay(core,KSINGL,&TD_Idata101);

		TKdelete(core,KARRAY,dsp_grid_1);
		TKgrclose(g_core);
		switch(bf_td.greid)
		{
			case 10:
			g_core = (Grcore *)TKgropen(core,KARRAY,dsp_grid_1);
			TKentry(core,KARRAY,dsp_grid_1);
			break;
			case 20:
			g_core = (Grcore *)TKgropen(core,KARRAY,dsp_grid_2);
			TKentry(core,KARRAY,dsp_grid_2);
			break;
			case 50:
			g_core = (Grcore *)TKgropen(core,KARRAY,dsp_grid_3);
			TKentry(core,KARRAY,dsp_grid_3);
			break;
		}
								/* ȥ졼桩			*/
		if (fg_start != 0)
		{
			fg_hen = 2;			/* ץ	*/
			TKgrentry(g_core,KARRAY,dsp_gline,HRBDSPOFF);
		}
	
    } else {
    }
    return(0);
}

/* ȥɥռ¹ */
int     pr_TDb2 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
		if (butn->flg != 0)
		{
			fg_start = 1;
			TKgrentry(g_core,KARRAY,dsp_gline,HRBDSPOFF);
		} else
		{
			fg_start = 0;
			TKgrdelete(g_core,KARRAY,dsp_gline,HRBDSPOFF);
		}
    } else {
    }
    return(0);
}

/* ư */
int     pr_TDI1 (core, idata, mask)
    Ktcore      *core;
    Ktidata     *idata;
    int         mask;

{
    return(0);
}

/* ͸嵯ư  */
int     pr_TDI2 (core, idata, type, text)
    Ktcore      *core;
    Ktidata     *idata;
    int         type;
    char        *text;

{
	int	*pt_data;
	
	/****	START		****/

	pt_data = idata->data;
	if (idata->id == 10)
	{
		bf_td.s_u = *pt_data;
	} else
	{
		if (idata->id == 11)
		{
			bf_td.s_d = *pt_data;
		} else
		{
			printf("IDATA INPUT ID ERROR\n");
		}
	}
    return(0);
}


/* ץ󥰼	*/
int     pr_TDB10 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int	i;
	Ktbutn	*pt_butn;

	/****	START	****/

    if (event == ButtonRelease)
    {
		i=0;						/* ץ󥰼		*/
		while(samp_butn[i] != NULL)
		{
			pt_butn = samp_butn[i];
			pt_butn->flg =0;
			i++;
		}	
		butn->flg = 1;
		bf_td.samp = butn->bid;		/* ץ󥰼Ǽ	*/

		TKdisplay(core,KARRAY,samp_butn);
    } else {
    }
    return(0);
}


/* ɽݥȿ	*/
int     pr_TDB20 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int	i;
	Ktbutn	*pt_butn;

	/****	START	****/

    if (event == ButtonRelease)
    {
		i=0;
		while(dpoit_butn[i] != NULL)
		{
			pt_butn = dpoit_butn[i];
			pt_butn->flg =0;
			i++;
		}	
		butn->flg = 1;
		bf_td.d_poit = butn->bid;

		TKdisplay(core,KARRAY,dpoit_butn);
    } else {
    }
    return(0);
}

/* ɽ	*/
int     pr_TDB30 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int	i;
	Ktbutn	*pt_butn;
	int		bf_sho,bf_mod;

	/****	START	****/
    if (event == ButtonRelease)
    {
		bf_sho = butn->bid / 100;
		if ((bf_sho >= 1) && (bf_sho <= 3))
		{
			bf_mod = butn->bid %100;
			i=0;
			switch(bf_sho)
			{
				case 1:	/* P*/
					while(dsp_butn_p[i] != NULL)
					{
						pt_butn = dsp_butn_p[i];
						pt_butn->flg =0;
						i++;
					}	
					bf_td.p_dspid = butn->bid;
					butn->flg = 1;
					TKdisplay(core,KARRAY,dsp_butn_p);
				break;
				case 2: /* Q */
					while(dsp_butn_q[i] != NULL)
					{
						pt_butn = dsp_butn_q[i];
						pt_butn->flg =0;
						i++;
					}	
					bf_td.q_dspid = butn->bid;
					butn->flg = 1;
					TKdisplay(core,KARRAY,dsp_butn_q);
				break;
				case 3: /* I */
					while(dsp_butn_i[i] != NULL)
					{
						pt_butn = dsp_butn_i[i];
						pt_butn->flg =0;
						i++;
					}	
					bf_td.i_dspid = butn->bid;
					butn->flg = 1;
					TKdisplay(core,KARRAY,dsp_butn_i);
				break;
			}

		} else
			printf("*****  butn  id ERROR ID= %d  ******\n",butn->bid);
    } else {
    }
    return(0);
}

/* åɴֳֻ	*/
int     pr_TDB50 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int	i;
	Ktbutn	*pt_butn;

	/****	START	****/
    if (event == ButtonRelease)
    {
		i=0;
		while(grid_butn[i] != NULL)
		{
			pt_butn = grid_butn[i];
			pt_butn->flg =0;
			i++;
		}	
		butn->flg = 1;
		bf_td.greid = butn->bid;
		TKdisplay(core,KARRAY,grid_butn);

    } else {
    }
    return(0);
}
int     pr_TDB100 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int	i,sta;
	Ktbutn	*pt_butn;

#ifdef PS
    if (event == ButtonRelease)
    {
#ifdef LPR
		putenv("PRkidlp=lpr -P");
#endif
#ifdef LP
		putenv("PRkidlp=lp -d");
#endif

		if (butn->bid == 100)	/* GRAPH output		*/
		{
			sta = TKpinit(KSA4,KSHYOKO,65.0,130.0,100,-150,"trend1.ps");
			if (fl_color_space == 0)
			{
				sta = TKpsetcolorspace(KSGRAY);
			} else
			{
				sta = TKpsetcolorspace(KSRGB);
			}
			sta = TKprint(KSINGL,&TD_Rect16);
			sta = TKprint(KSINGL,&TD_Rect17);
			sta = TKprint(KSINGL,&TD_Rect20);
			sta = TKprint(KSINGL,&TD_Rect21);
			sta = TKprint(KSINGL,&TDLine100);
			sta = TKprint(KSINGL,&TD_Idata100);
			sta = TKprint(KSINGL,&TD_Idata101);
			switch(bf_td.greid)
			{
				case 10:
					sta = TKprint(KARRAY,dsp_grid_1);
				break;
				case 20:
					sta = TKprint(KARRAY,dsp_grid_2);
				break;
				case 50:
					sta = TKprint(KARRAY,dsp_grid_3);
				break;
			}
			sta = TKprint(KARRAY,TD_line_p.hed.ent);
			sta = TKprint(KARRAY,TD_line_q.hed.ent);
			sta = TKprint(KARRAY,TD_line_i.hed.ent);
			sta = TKpout("PostScript_Printer",KSFNODEL,1);
		} else
		{
			sta = TKpinit(KSA4,KSHYOKO,65.0,65.0,100,100,"trend.ps");
			sta = TKpinit2(&td ,KSPANELON,KSPNLSIZE);
			if (fl_color_space == 0)
			{
				sta = TKpsetcolorspace(KSGRAY);
			} else
			{
				sta = TKpsetcolorspace(KSRGB);
			}
			sta = TKprint(KARRAY,td_tree);
			sta = TKprint(KARRAY,TD_line_p.hed.ent);
			sta = TKprint(KARRAY,TD_line_q.hed.ent);
			sta = TKprint(KARRAY,TD_line_i.hed.ent);
			sta = TKpout("PostScript_Printer",KSFNODEL,1);

			sta = TKpinit(KSA4,KSHYOKO,50.0,50.0,200,150,"trend2.ps");
			if (fl_color_space == 0)
			{
				sta = TKpsetcolorspace(KSGRAY);
			} else
			{
				sta = TKpsetcolorspace(KSRGB);
			}
			sta = TKpinit2(&fa1,KSPANELON,KSPNLSIZE);
			sta = TKprint(KARRAY,fa1_tree);

			sta = TKpchgmargin(400,300,&td,KSPANELON,KSPNLSIZE);
			sta = TKprint(KARRAY,td_tree);
			sta = TKprint(KARRAY,TD_line_p.hed.ent);
			sta = TKprint(KARRAY,TD_line_q.hed.ent);
			sta = TKprint(KARRAY,TD_line_i.hed.ent);
			sta = TKpout("PostScript_Printer",KSFNODEL,1);
		}
    } else {
    }
#endif
    return(0);
}
int     pr_TDB200 (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;
{
    if (event == ButtonRelease)
    {
		if (butn->bid == 0) 	/* GRAY SCALE 	*/
		{
			fl_color_space = 0;
			TD_butn201.flg =0;
			TKdisplay(core,KSINGL,&TD_butn201.hed);
		} else					/* COLOR 		*/
		{
			fl_color_space = 1;
			TD_butn200.flg =0;
			TKdisplay(core,KSINGL,&TD_butn200.hed);
		}
	}
	return(0);
}

