
#include       <TK2/TK.h>
#include       <TK2/TKusr.h>
#include       <GR.h>
#include       "gamen00.h"
#include       "gamen01.h"
#include       "src000.h"

	int		graph_no = -1;
	int		item_no = -1;

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/
int     pr_button_exec (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
	int		sts = 0;

    if (event == ButtonRelease)
    {
		TKclose( core_select );
		core_select = NULL;

		tb_graph_disp_button.flg = -1;
		TKdisplay( core00, KSINGL, &tb_graph_disp_button );

		switch( graph_no )
		{
			case 1:
				sts = pr_fukugou_panel_open( item_no );
				break;
			case 2:
				sts = pr_wari_panel_open( item_no );
				break;
			case 3:
				sts = pr_pay_panel_open( item_no );
				break;
			case 4:
				sts = pr_uri_panel_open( item_no );
				break;
		}

		if( core_graph != NULL )
		{
			tb_graph_redrow_button.flg = OFF;
			TKdisplay( core, KSINGL, &tb_graph_redrow_button );
			tb_graph_print_button.flg = OFF;
			TKdisplay( core, KSINGL, &tb_graph_print_button );

			TKchgbcursor( core_graph,&tb_cursor_font,&tb_cursor_mask,BLACK,WHITE );
			sts = pr_graph_redrow_button( core_graph, &tb_graph_redrow_button, ButtonRelease );
		}
    } else {
    }
    return(sts);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_button_cancel (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
		TKclose( core_select );
		core_select = NULL;
    } else {
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_button_graph_on (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
		if( ( graph_no != -1 ) &&
			( item_no != -1 ) &&
			( tb_button_exec.flg == -1 ) )
		{
			tb_button_exec.flg = OFF;
			TKdisplay( core, KSINGL, &tb_button_exec );
		}
    } else {
		pr_other_button_off( core, tb_graph_buttons, butn );
		graph_no = butn->bid;
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_button_graph_off (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
    } else {
		butn->flg = ON;
		TKdisplay( core, KSINGL, butn );
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_button_item_on (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
		if( ( graph_no != -1 ) &&
			( item_no != -1 ) &&
			( tb_button_exec.flg == -1 ) )
		{
			tb_button_exec.flg = OFF;
			TKdisplay( core, KSINGL, &tb_button_exec );
		}
    } else {
		pr_other_button_off( core, tb_item_buttons, butn );
		item_no = butn->bid;
    }
    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/

int     pr_button_item_off (core, butn, event)
    Ktcore     *core;
    Ktbutn     *butn;
    int   	    event;

{
    if (event == ButtonRelease)
    {
    } else {
		butn->flg = ON;
		TKdisplay( core, KSINGL, butn );
    }
    return(0);
}
