
#include	<TK2/TK.h>
#include	<TK2/TKusr.h>
#include	<GR.h>
#ifdef PS
#include	<PRkid/TKPrinPS.h>
#endif
#include	"src000.h"
#include	"gamen00.h"
#include	"gamen20.h"
#include	"gamen21.h"

	extern	int		pr_graph_exit();


/************************************************************************
*		Module Name	: 													*
*************************************************************************/
int		pr_wari_panel_open( item )
	int		item;
{
	int		sts = -1;

	switch( item )
	{
		case 1:
			strcpy( (char *)tb_wari_title.text, "  " );
			strcpy( (char *)tb_wari_item1.data, "»" );
			strcpy( (char *)tb_wari_item2.data, "ؿ" );
			strcpy( (char *)tb_wari_item3.data, "Ҷ" );
			break;
		case 2:
			strcpy( (char *)tb_wari_title.text, "»" );
			strcpy( (char *)tb_wari_item1.data, "եޥ" );
			strcpy( (char *)tb_wari_item2.data, "奢" );
			strcpy( (char *)tb_wari_item3.data, "¾" );
			break;
		case 3:
			strcpy( (char *)tb_wari_title.text, "ؿ" );
			strcpy( (char *)tb_wari_item1.data, "եޥ" );
			strcpy( (char *)tb_wari_item2.data, "奢" );
			strcpy( (char *)tb_wari_item3.data, "¾" );
			break;
		case 4:
			strcpy( (char *)tb_wari_title.text, "Ҷ" );
			strcpy( (char *)tb_wari_item1.data, "˻" );
			strcpy( (char *)tb_wari_item2.data, "" );
			strcpy( (char *)tb_wari_item3.data, "Ļ" );
			break;
	}

	if( core_graph == NULL )
	{
		pr_panel_right_down( &panel20 );
		core_graph = (Ktcore *)TKopen( root, core00->kit, &panel20 );
		if( core_graph != NULL )
		{
			Gcore = (Grcore *)TKgropen( core_graph, KARRAY, panel20_tree );
			if( Gcore != NULL )
			{
				TKgrentry( Gcore, KSINGL, &tb_wari_arc, HRBDSPON );

				TKnotify( core_graph, KEXIT, pr_graph_exit );
				sts = 0;
			}else
			{
				TKclose( core_graph );
				core_graph = NULL;
			}
		}
	}

	return( sts );
}
/************************************************************************
*		Module Name	: 													*
*************************************************************************/
void	pr_wari_redrow( item )
	int		item;
{
	int		month;
	float	rieki1 = 0;
	float	rieki2 = 0;
	float	rieki3 = 0;

#if 0
	for( month=0; month<12; month++ )
	{
		switch( item )
		{
			case 1:
				rieki1 += hanbai[month].man.total.rieki;
				rieki2 += hanbai[month].wman.total.rieki;
				rieki3 += hanbai[month].child.total.rieki;
				break;
			case 2:
				rieki1 += hanbai[month].man.formal.rieki;
				rieki2 += hanbai[month].man.cajual.rieki;
				rieki3 += hanbai[month].man.other.rieki;
				break;
			case 3:
				rieki1 += hanbai[month].wman.formal.rieki;
				rieki2 += hanbai[month].wman.cajual.rieki;
				rieki3 += hanbai[month].wman.other.rieki;
				break;
			case 4:
				rieki1 += hanbai[month].child.boy.rieki;
				rieki2 += hanbai[month].child.girl.rieki;
				rieki3 += hanbai[month].child.baby.rieki;
				break;
		}
	}
#else
	switch( item )
	{
		case 1:
			rieki1 = hanbai[12].man.total.rieki;
			rieki2 = hanbai[12].wman.total.rieki;
			rieki3 = hanbai[12].child.total.rieki;
			break;
		case 2:
			rieki1 = hanbai[12].man.formal.rieki;
			rieki2 = hanbai[12].man.cajual.rieki;
			rieki3 = hanbai[12].man.other.rieki;
			break;
		case 3:
			rieki1 = hanbai[12].wman.formal.rieki;
			rieki2 = hanbai[12].wman.cajual.rieki;
			rieki3 = hanbai[12].wman.other.rieki;
			break;
		case 4:
			rieki1 = hanbai[12].child.boy.rieki;
			rieki2 = hanbai[12].child.girl.rieki;
			rieki3 = hanbai[12].child.baby.rieki;
			break;
	}
#endif
	tb_wari_arc.pt[0].data = (unsigned int)(rieki1 *100);
	tb_wari_arc.pt[1].data = (unsigned int)(rieki2 *100);
	tb_wari_arc.pt[2].data = (unsigned int)(rieki3 *100);
	TKgrdisplay( Gcore, KSINGL, &tb_wari_arc, HRBDSPON );
}
/************************************************************************
*       Module Name :                                                   *
*************************************************************************/
void    pr_wari_printPS( )
{
	int		i;

#ifdef PS
    TKpinit2( &panel20, KSPANELON, KSPNLSIZE );
    TKprint( KARRAY, panel20_tree );
	TKprint( KARRAY, tb_wari_arc.hed.ent );
#endif
}

