
#include       <TK2/TK.h>
#include       <TK2/TKusr.h>


/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/
int     pr_zoom_panel_mini (root, core, panel)
	Ktroot		*root;
    Ktcore		*core;
    Ktpanel     *panel;
{
	int		wh, ww;

	ww = panel->ww;
	wh = panel->wh;
	panel->ww = core->ww / 2;
	panel->wh = core->wh / 2;
	TKchgpanel( core, panel );
	panel->ww = ww;
	panel->wh = wh;

    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/
int     pr_zoom_panel_org (root, core, panel)
	Ktroot		*root;
    Ktcore		*core;
    Ktpanel     *panel;
{
	TKchgpanel( core, panel );

    return(0);
}

/****************************************************************
*       Call Back Routine                                       *
*****************************************************************/
int     pr_zoom_panel_max (root, core, panel)
	Ktroot		*root;
    Ktcore		*core;
    Ktpanel     *panel;
{
	int		wx, wy, wh, ww;

	wx = panel->wx;
	wy = panel->wy;
	ww = panel->ww;
	wh = panel->wh;
	panel->wx = 0;
	panel->wy = 0;
	panel->ww = root->rw;
	panel->wh = root->rh;
	TKchgpanel( core, panel );
	panel->wx = wx;
	panel->wy = wy;
	panel->ww = ww;
	panel->wh = wh;

    return(0);
}
